0.237 2021-10-27
----------------


MAME Testers Bugs Fixed
-----------------------
- 06601: [Sound] (upscope.cpp) upscope: Some sound effects are missing. (Angelo Salese)
- 08068: [Crash/Freeze] (marineb.cpp) changes, changesa, hopprobo, looper, marineb, springer: Games freeze on soft reset. (AJR)
- 08093: [Documentation] (champbas.cpp) talbot: DIP switches marked as unknown control quota to advance round. (jkburks)
- 08095: [DIP/Input] (8080bw.cpp) gunchamp: DIP switch marked as unknown enables or disables high score name entry. (Wulfaz)
- 08096: [Documentation] (neogeo.cpp) legendos: Manufacturer should really be Wave Corp. / SNK. (Angelo Salese)
- 08103: [Interface] Loading loose software in systems that require media to be loaded is impractical using internal UI. (Vas Crabb)
- 08107: [Misc.] (cobra.cpp) bujutsu: Game title is incorrect. (J.J.Boy)
- 08111: [Crash/Freeze] (apollo.cpp) dn3500 and clones: Apollo machines cannot load programs from tape. (AJR)


New working clones
------------------
Advisor (Italian bootleg of Space Fury) [Matteo Legittimo, Andrew Welburn]
Asuka & Asuka (Japan, version 1) [Brian Troha, The Dumping Union]
Buccaneer (set 2) [Jeremy Locke, Cam]
City Attack (Petaco S.A., bootleg of Pleiads) [Retromaniacs]
Cosmic Alien (version II, set 3) [Retromaniacs]
Fidelity Electronics Elite Champion Challenger [hap, Berger]
Floritas (Multivideo Spanish Moon Cresta bootleg) [Retromaniacs]
Guttang Gottong (Sede 3 bootleg on Galaxian hardware) [Retromaniacs]
ILCE / SEP Micro-SEP 1600 [Tim Lindner]
Komemokos ('Pac-Man (Cirsa, Spanish bootleg)' hack) [Ricardo - Factory Arcade, Recreativas.org]
Meteor (Alca bootleg of Moon Cresta) [Andrew Welburn, system11]
Pac-Man (Cirsa, Spanish bootleg on Galaxian hardware) [Ricardo - Factory Arcade, Recreativas.org]
Pengo (set 6, encrypted) [philmurr]
Street Fighter Zero 2 Alpha (Asia 960805) [Genaro Rodarte]
Super Rider (v1.3) [Michel Blanco]
Tronica Thunder Ball [algestam]
Video Technology Laser 128 (original hardware) [R. Belmont, Tom Greene]
Winning Spike (ver AAA) [f205v]


New machines marked as NOT_WORKING
----------------------------------
Casio CTK-551 [Devin Acker]
Exciting Boat Race [Phil Bennett]
Las Vegas (Jeutel, set 1) [Benjamin Roux, ClawGrip]
Manpuku Suizokukan [Darksoft, MetalliC, Mitsurugi_W, rtw, SNK-NEO-GEO]
Omron Luna [Plamen Mihaylov]
Speed Basketball [Tailsnic Retroworks]
Sun Microsystems SPARCstation ELC (Sun 4/25) [Yvan Janssens]


New clones marked as NOT_WORKING
--------------------------------
Amidar (Cirsa bootleg) [Retromaniacs]
Ensoniq KS-32 [TaunTek.com, R. Belmont]
Ice Cold Beer (set 2) [Robbbert]
Las Vegas (Jeutel, set 2) [Benjamin Roux, ClawGrip]
NEC PC-6601SR "Mr. PC" (Japan) [anonymous]
Yataimura Kingyosukui (1-player, Japan, Ver 1.005) [Darksoft, MetalliC, Mitsurugi_W, rtw, SNK-NEO-GEO]


New working software list additions
-----------------------------------
apple2gs_flop_clcracked:
  Algebra Volume 1 (Version 1.1.2) (cleanly cracked), Algebra Volume 3 (Revision 0) (cleanly cracked),
  Algebra Volume 4 (Version 1.1) (cleanly cracked), Algebra Volume 6 (Version 1.0) (cleanly cracked),
  All About America (cleanly cracked), The Ancient Art of War at Sea (cleanly cracked), Animate (cleanly cracked),
  Ape Escape (cleanly cracked), Bank Street StoryBook 1.1 (cleanly cracked), Bank Street Writer II (cleanly cracked),
  The Basics of BASIC (cleanly cracked), Boulderdash Construction Kit (cleanly cracked), Centauri Alliance (cleanly cracked),
  Certificates and More! (cleanly cracked), The Circuit Simulator (cleanly cracked),
  Computer Preparation for the SAT (Version 1.1A) (cleanly cracked), Conceptor (cleanly cracked), Conjecture (cleanly cracked),
  Creative Play (cleanly cracked), The Dam Busters (cleanly cracked), Dondra - A New Beginning (cleanly cracked),
  Dondra: A New Beginning (Revision 2) (cleanly cracked), The Eidolon (cleanly cracked), English Achievement IV (cleanly cracked),
  Felony (Thunder Mountain release) (cleanly cracked), Five in a Row - Addition and Subtraction (cleanly cracked),
  Forbidden Castle (cleanly cracked), Fractions (Version 3.1 / 25-NOV-83) (cleanly cracked),
  The Games: Winter Edition (cleanly cracked), Goldfinger (cleanly cracked), The Hangtown Trilogy (Version 2.2) (cleanly cracked),
  High Stakes (cleanly cracked), The Holy Grail (cleanly cracked), How to Read in the Content Areas (cleanly cracked),
  In Search of the Most Amazing Thing (Revision 2) (cleanly cracked), Inca (cleanly cracked),
  Indiana Jones in Revenge of the Ancients (cleanly cracked), Interlude II (cleanly cracked), Kung Fu Master (cleanly cracked),
  Locksmith (Version 5.0 Revision C) (cleanly cracked), Locksmith (Version 5.0 Revision F) (cleanly cracked),
  Mastering the SAT (cleanly cracked), Match Maker Biology Facts (cleanly cracked), The Math Twister (cleanly cracked),
  Mathematics Skills Software Level 2 (cleanly cracked), MECC-A405 Sports Stats (Version 1.0) (cleanly cracked),
  Microzine 7 (cleanly cracked), Microzine 9 (cleanly cracked), Microzine 14 (cleanly cracked),
  Millionaire Release 2 (cleanly cracked), Mixed Number Concepts (cleanly cracked), The Movie Monster Game (cleanly cracked),
  Mr. Pixel's Cartoon Kit (cleanly cracked), Multidimensional Personality Evaluation (cleanly cracked),
  Multiple Choices (cleanly cracked), Mystery Sentences (cleanly cracked), Operation Frog (cleanly cracked),
  PFS (Version A.02, 1980-10-23) (cleanly cracked), PFS (Version B.00, 1981-01-03) (cleanly cracked),
  PFS:Write (Version 26-APR-86) (cleanly cracked), Pop 'R Spell (Rev 2) (cleanly cracked), Project Space Station (cleanly cracked),
  Pyramid Puzzler (cleanly cracked), A Question of Scruples (cleanly cracked), Reading Workshop: Distant Views (cleanly cracked),
  Reading Workshop: Running Free (cleanly cracked), Ricochet (cleanly cracked), RoboCop (cleanly cracked),
  Robot Odyssey (Version 1.1) (cleanly cracked), Robot Odyssey I (Version 2.0) (cleanly cracked),
  Rocky's Boots (Version 4.0) (cleanly cracked), Secret Filer (cleanly cracked), Serendipity (cleanly cracked),
  Soko-Ban (cleanly cracked), Solo Flight (cleanly cracked), Space Journey (cleanly cracked), Spiderbot (cleanly cracked),
  The Sporting News: Baseball (cleanly cracked), Spy vs. Spy III: Arctic Antics (cleanly cracked),
  Squire (Version 1.0) (cleanly cracked), Story Maker (64K Version) (cleanly cracked), Story Tree (Version 1.4) (cleanly cracked),
  Street Sports Baseball (cleanly cracked), Street Sports Basketball (cleanly cracked), Street Sports Football (cleanly cracked),
  Street Sports Soccer (cleanly cracked), Sub Battle Simulator (cleanly cracked), Sub Mission (cleanly cracked),
  Success with Typing (Version 1.2) (cleanly cracked), Summer Games (cleanly cracked), Summer Games II (cleanly cracked),
  Swiss Family Robinson (cleanly cracked), Tag Team Wrestling (cleanly cracked), Tales of Mystery (cleanly cracked),
  Techno Cop (cleanly cracked), Temple of Apshai Trilogy (cleanly cracked), Ten Little Robots (cleanly cracked),
  Tink Tonk - Tuk Goes to Town (cleanly cracked), Tink! Tink! Tink's Subtraction Fair (cleanly cracked),
  Tonk in the Land of the Buddy-Bots (cleanly cracked), Treasure Island (cleanly cracked), Trompers (cleanly cracked),
  Voodoo Island (cleanly cracked), Where in Europe is Carmen Sandiego? (cleanly cracked),
  Where in North Dakota is Carmen Sandiego? (cleanly cracked), Where in Time is Carmen Sandiego (Version 1.0) (cleanly cracked),
  Where in the USA is Carmen Sandiego? (Version 2.0, 26-APR-1989) (cleanly cracked),
  Where in the World is Carmen Sandiego? (Version 2.0 / 15-AUG-1989) (cleanly cracked), Who Framed Roger Rabbit (cleanly cracked),
  Winnie the Pooh in the Hundred Acre Wood (Sierra On-Line) (cleanly cracked), The Wizard of Oz (cleanly cracked),
  World Karate Championship (cleanly cracked), The World's Greatest Baseball Game (Enhanced Version) (cleanly cracked),
  The World's Greatest Baseball Game (cleanly cracked), The World's Greatest Football Game (cleanly cracked) [4am, Firehawke]
  Boulder Dash II (cleanly cracked), Logic Builders (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_orig:
  Beyond Zork (Release 49 / 870917), Beyond Zork (Release 57 / 871221), Border Zone (Release 9 / 871008),
  Bureaucracy (Release 86 / 870212), Genesis, The Hitchhiker's Guide to the Galaxy (Release 31 / 871119),
  The Hitchhiker's Guide to the Galaxy (Release 56 / 841221), The Hitchhiker's Guide to the Galaxy (Release 58 / 851002),
  Invisible Bugs (Version 1.1) (800K 3.5"), Killed Until Dead, Littletown Zoo (800K 3.5"), Magic Spells (Version 2.3) (800K 3.5"),
  Math Rabbit (Version 1.3) (800K 3.5"), Mystery Objects (Version 1.1) (800K 3.5"), Number Munchers (Version 1.3) (800K 3.5"),
  Picture Chompers (Version 1.0) (800K 3.5"), The Print Shop, ProDOS (Version B.1A 09-DEC-82), SuperPrint II (800K 3.5"),
  Think Quick! (Version 1.4) (800K 3.5"), Track Attack, Woolly Bounce (Version 1.0) (800K 3.5"),
  Word Attack Plus! (Version 1.2) (800K 3.5"), Word Attack Plus! French (Version 1.3) (800K 3.5"),
  Word Attack Plus! Spanish (Version 1.2, 09.01.88) (800K 3.5"), Word Attack! (Version 06.01.87) (800K 3.5") [4am, Firehawke]
apple2gs_flop_clcracked:
  The Adventures of Sinbad (cleanly cracked), Aesop's Fables (cleanly cracked), All About America (cleanly cracked),
  Ancient Land of Ys (cleanly cracked), Arkanoid (Version 12-Jan-89) (cleanly cracked),
  Arkanoid II: Revenge of Doh (Version 18-Jul-89) (cleanly cracked),
  Arkanoid II: Revenge of Doh (Version 29-Aug-89) (cleanly cracked), Battle Chess (cleanly cracked),
  Block Out (Version 1.0) (cleanly cracked), Bubble Ghost (cleanly cracked), Bubble Ghost - Hard Drive compatible (cleanly cracked),
  Calendar Crafter (Version 1.2) (cleanly cracked), California Games (cleanly cracked), Captain Blood (cleanly cracked),
  Cavern Cobra (cleanly cracked), Club Backgammon (Version 1.0) (cleanly cracked), Club Backgammon (Version 2.0) (cleanly cracked),
  Cribbage King / Gin King (Version 1.01) (cleanly cracked), Defender of the Crown (cleanly cracked), Déjà Vu (cleanly cracked),
  Déjà Vu II: Lost in Las Vegas (cleanly cracked), Designer Prints (Version 1.0) (cleanly cracked),
  Designer Puzzles (Version 1.0) (cleanly cracked), Destroyer (cleanly cracked), Downhill Challenge (cleanly cracked),
  The Duel: Test Drive II (cleanly cracked), Fantavision (Version 1.0) (cleanly cracked),
  Fantavision (Version 2.1) (cleanly cracked), Fast Break (cleanly cracked),
  The Fidelity Chessmaster 2100 (Version 1.01 28-Sep-88) (cleanly cracked),
  The Fidelity Chessmaster 2100 (Version 1.1 17-Nov-88) (cleanly cracked), Final Assault (cleanly cracked),
  Gauntlet (cleanly cracked), Geometry (Version 1.0) (cleanly cracked), Gnarly Golf (cleanly cracked),
  Grand Prix Circuit (cleanly cracked), The Graphics Studio (cleanly cracked), Great Western Shootout (cleanly cracked),
  Hacker II: The Doomsday Papers (cleanly cracked), Hardball! (cleanly cracked), Hostage: Rescue Mission (cleanly cracked),
  The Immortal (cleanly cracked), Impossible Mission II (cleanly cracked),
  Jack Nicklaus' Greatest 18 Holes of Major Championship Golf (cleanly cracked), Jigsaw (Version 1.4 - 022988) (cleanly cracked),
  The King of Chicago (cleanly cracked), King's Quest - Quest for the Crown (cleanly cracked),
  King's Quest II - Romancing The Throne (cleanly cracked), King's Quest III - To Hier is Human (cleanly cracked),
  LaserForce (cleanly cracked), The Last Ninja (cleanly cracked),
  Leisure Suit Larry in the Land of the Lounge Lizards (cleanly cracked), The Logic Master (Version 1.5) (cleanly cracked),
  Magical Myths (cleanly cracked), Mancala (Version 1.0) (cleanly cracked), Marble Madness (cleanly cracked),
  Math Blaster Plus! (Version 1.0) (cleanly cracked), Math Blaster Plus! (Version 1.1) (cleanly cracked),
  Math Wizard (cleanly cracked), Mavis Beacon Teaches Typing (Version 1.2 16-Nov-87) (cleanly cracked),
  Mavis Beacon Teaches Typing (Version 1.8 21-Dec-88) (cleanly cracked), Mean 18 (cleanly cracked),
  Mercury (Version 1.0) (cleanly cracked), Music Construction Set (Version 1.0) (cleanly cracked), Neuromancer (cleanly cracked),
  Paperboy (cleanly cracked), Pipe Dream (cleanly cracked), The Print Shop (Version 1.0) (cleanly cracked),
  Qix (Version 1.4? 16-Jan-90) (cleanly cracked), Read and Rhyme (cleanly cracked), Read-a-Rama (cleanly cracked),
  Reader Rabbit (Version 2.2) (cleanly cracked), Reader Rabbit (Version 2.3) (cleanly cracked),
  Reading and Me (Version 1.0) (cleanly cracked), Sea Strike (Version 1.0) (cleanly cracked), Serve and Volley (cleanly cracked),
  Shanghai (Version 15-Sep-87) (cleanly cracked), Shanghai (Version 20-Jan-87) (cleanly cracked),
  ShowOff (Version 1.1) (cleanly cracked), Silent Service (Version 925.01) (cleanly cracked),
  Silpheed - Super Dogfighter (cleanly cracked), Skate or Die (Version 1.0 12-Aug-88) (cleanly cracked),
  Skate or Die (Version 1.1 07-Oct-88) (cleanly cracked), Space Quest - The Sarien Encounter (cleanly cracked),
  Space Quest II - Vohual's Revenge (cleanly cracked), Spirit of Excalibur (cleanly cracked),
  Storybook Weaver (Version 1.0) (cleanly cracked), Storybook Weaver - World of Adventure (Version 1.0) (cleanly cracked),
  Storybook Weaver - World of Make-Believe (Version 1.0) (cleanly cracked), Street Sports Soccer (cleanly cracked),
  Superstar Ice Hockey (cleanly cracked), Tales From The Arabian Nights (cleanly cracked), Task Force (cleanly cracked),
  Tetris (cleanly cracked), Thexder (Version 2.7) (cleanly cracked), The Third Courier (cleanly cracked),
  Topdraw (Version 1.00A) (cleanly cracked), The Tower of Myraglen (Version 1.0) (cleanly cracked),
  TrianGo (Version 1.0) (cleanly cracked), Uninvited (cleanly cracked), Vegas Craps (Version 1.0) (cleanly cracked),
  Vegas Gambler (Version 1.0 07-Jun-88) (cleanly cracked), Vegas Gambler (Version 1.1 25-Jul-88) (cleanly cracked),
  War in Middle Earth (cleanly cracked), Where in the U.S.A. is Carmen Sandiego? (cleanly cracked),
  Where in the World is Carmen Sandiego? (cleanly cracked), Winter Games (cleanly cracked),
  The Wonders of the Animal Kingdom (cleanly cracked), The Word Master (cleanly cracked), World Games (cleanly cracked),
  World Tour Golf (cleanly cracked), Writer's Choice Elite (cleanly cracked), Xenocide (Version 11-Aug-89) (cleanly cracked),
  Xenocide (Version 25-Sep-89) (unprotected), Zany Golf (cleanly cracked) [Brian Troha]
apple2gs_flop_orig: King's Quest II (Version 2.0A), Solitaire Royale (Version 1.0) [4am, Firehawke]
c64_cass:
  Batman (Ocean), Battle Through Time, Beach-Head II, Beach-Head II (Erbe), Best of Elite: Vol. 1, Best of Elite: Vol. 2,
  Beyond the Forbidden Forest, Beyond the Ice Palace (Elite Systems), Biff, Big Names Bonanza, Bigfoot, Bigtop Barney, Black Lamp,
  Black Tiger, Blood Brothers, Blue Max, Blue Max 2001, The Blues Brothers, BMX Simulator 2, Bobby Bearing, The Boggit: Bored Too,
  Bomb Jack (Elite Systems), Bomb Jack II (Elite Systems), Bonanza Bros, Bounty Bob Strikes Back!, Brave Starr,
  Breakthru (U.S. Gold), Bubble Bobble (Firebird), Buck Rogers: Planet of Zoom, Buggy Boy, Bulldog, Burger Time, Cabal,
  California Games, Capcom Collection, Captain America in: The Doom Tube of Dr. Megalomann, Catacombs, Championship Sprint,
  Chart Busters, Chimera, China Miner, Chip's Challenge, Ciphoid 9, Cluedo, Cobra (Ocean), Coin Op Hits II, Combat School,
  Comet Game, Comic Bakery, Commando (alt), Conflicts 1, Convoy Raider, Cosmic Causeway: Trailblazer II, Crazy Cars (Titus),
  Crazy Comet, Crazy Kong (alt), Creatures 2: Torture Trouble, Critical Mass (Durell), Crystal Castles, Dark Force, Days of Thunder,
  Death or Glory, Death Wish 3, The Deep, Deflektor, Delta, Desert Fox, Dick Tracy, Dig Dug, Dominator, Donald Duck's Playground,
  Double Dragon, Double Take, Dough Boy, Dragon's Lair, Dragon's Lair (Preview), Dragon's Lair Part II: Escape from Singe's Castle,
  Dragons of Flame, Dream Warrior, Drelbs, Druid, Dynamic Duo, Dynasty Wars, E-motion, Edd the Duck, Enduro Racer (Activision),
  Epyx Epics, Escape, Escape-MCP, Every Second Counts, The Fabulous Wanda and the Secret of Life, the Universe, and Everything,
  Fairlight, Famous Five, Fantasy World Dizzy [The Ultimate Tape Archive Team]
ibm5150:
  PGA Tour Golf, PGA Tour Golf (alt), PGA Tour Golf (Special Maxell edition), PGA Tour Golf: Tournament Course Disk, PowerMonger,
  Silpheed (3.5", v3.2) [The Good Old Days]
ibm5170:
  Buzz Aldrin's Race into Space, Fates of Twinion, Leisure Suit Larry 6: Shape Up or Slip Out!, Shadow of Yserbius,
  The Sierra ImagiNation Network, The Sierra ImagiNation Network (older), The Sierra Network, Star Wars: TIE Fighter (Germany)
  [The Good Old Days]
megadriv: Mortal Kombat (prototype) [drx, The Hidden Palace]
nes:
  4 in 1 (JH-274), 4 in 1 (YH-4103), 7 Grand Dad (The Flintstones - The Rescue of Dino & Hoppy pirate), 35 in 1 (K-3033),
  1994 New Series Red Pig 7 in 1 (EW-002), 1994 Super HiK 7 in 1 (M-026), 1994 Super HiK 7 in 1 (M-027), 1998 HIGH 4 in 1 (YH-463),
  Fudou Myouou Den (pirate), New Star 6 in 1 Game Cartridge [anonymous]
  Y2K 420 in 1 [BootGod]
  Super Cool Boy 4 in 1 (CB-4035) [CaH4e3, NewRisingSun]
  2 in 1 (NT-811), 4 in 1 1999, 64 in 1 (CF-015), 1100000 in 1, 9999999 in 1 - 1998 Series No. 10, Super 98 - 43 in 1 (VT321)
  [Consolethinks]
  1997 8 in 1 (JY-112), 1998 Super Game 8 in 1 (JY-111) [Consolethinks, NewRisingSun]
  2 in 1 (GN-91B), 2 in 1 (VT-2037), 2 in 1 (VT-2038), 20 in 1 (CA-006), Super 2 in 1 (WQ 2047), Super Cool Boy 4 in 1 (CB-4011),
  Super Cool Boy 4 in 1 (CB-4034, alt) [Consolethinks, Nikolka]
  Miss Peach World 1 - Super L.A. Cop (Japan) [famiac]
  1994 Super HiK 4 in 1 (JY-005), Rockman 6 in 1 (alt 2) [famiac, NewRisingSun]
  Batman - The Video Game (Brazil, pirate) [Fisher]
  Olympic I.Q. (Korea) [Gaming Alexandria]
  Gotta Protectors - Amazon's Running Diet, Minna de Mamotte Knight - Amazon no Diet Daisakusen [kmg]
  Golden Mario Party II - Around the World 6 in 1, Rockman 7 in 1 (JY-208) [krzsyiobal, NewRisingSun]
  AV Jiūjí Májiàng II (Asia, alt), Dòngdòngnǎo II: Guózhōng Yīngwén (I) (Taiwan, alt), Xiǎoxuéshēng Shùxué CAI (China),
  Yeongjaekeom Cocoma Pack 1 (Korea) [MLX]
  4 in 1 (KG-443) [MrNorbert1994, Consolethinks]
  1000 in 1 (alt games), Black Dragon (Korea), Nar-ara Superboy (Korea), Super Cool Boy 3 in 1 (ABAB CB-403x),
  Super RPG 5 in 1 (CH501) [NewRisingSun]
  1996 Super HiK 4 in 1 (JY-004) [NewRisingSun, taizou]
  1996 Yīngyǔ CAI 3 in 1 (China) [taizou]
pc6001_cart:
  Canyon Climber, The Electric Pencil (v2.0R), N60 Extended BASIC [anonymous]
  Tutankham [HardcoreHubz, cyberat2600, Gaming Alexandria]
  Moon Raiders, Moon Raiders (older) [mosesu]
vgmplay:
  Aleste 2 (MSX2, OPLL), Aleste 2 (MSX2, PSG), Aleste Gaiden (MSX2, OPLL), Aleste Gaiden (MSX2, PSG), Alfred Chicken (NES),
  Alfred Chicken (Nintendo Game Boy), Alien 3 (NES), Ano, Subarashii o Mou Ichido (Sharp X68000),
  Brandish 2 - The Planet Buster Renewal (NEC PC-9801), Caesars Palace II (Nintendo Game Boy Color), Chambers of Shaolin (Atari ST),
  Darkman (NES), Deadly Edge (Sharp X68000), Dragon Half (NEC PC-9801), F-1 Grand Prix Part II (Arcade),
  F-1 Grand Prix Star II (Arcade), Farland Story - Tooi Kuni no Monogatari (NEC PC-9801),
  Firecracker Music Collection Vol. 1 ~We Are Konamic Freaks~ (NEC PC-8801), Formula X (Sharp X68000), Garudius '95 (NEC PC-9801),
  Group X (Sharp X68000), Gunbird (Arcade), Hebereke no Popoon (Arcade), Illumination Laser (Sharp X68000), James Bond Jr. (NES),
  Jim Power in Mutant Planet (Atari ST), Jurassic Park (NES), Kisou Shinden Gen-Kaiser (NEC PC-9801), Overlord (NES),
  Prajator - Image Ranger (NEC PC-8801, OPN), Prajator - Image Ranger (NEC PC-8801, OPNA), A Prehistoric Tale (Atari ST),
  Prince of Persia (NEC PC-9801), Revival Xanadu (NEC PC-9801), Snake's Revenge (NES), Star Luster (Sharp X68000),
  Super Sprint (Atari System 2), Tetris Plus 2 (Arcade), Tetris Plus 2 (Jaleco Mega System 32),
  Touhou Fuumaroku ~ The Story of Eastern Wonderland (NEC PC-9801, OPNA), Wild Pilot (Arcade), Wings of Death (Atari ST),
  Xenon 2 - Megablast (Atari ST), Ys II - Ancient Ys Vanished The Final Chapter (Sharp X1 Turbo) [vgmrips.net, Tafoid]


Software list items promoted to working
---------------------------------------
amigaecs_flop: Snapperazzi (Euro) [Angelo Salese]
amigaocs_flop:
  Altered Beast (Euro), The Amazing Spider-Man (Euro), Archipelagos (Euro), Aspar Master Grand Prix (Euro, Les Fous du Volant),
  Bangkok Knights (Euro), Barbarian II (Euro, Palace, NRJ Vol. 4), Base Jumpers (Euro), Battle Squadron (Euro), Beach Volley (Euro),
  Double Dragon (Euro, v2.16), Grid Start (Euro, Sextett), Hollywood Poker (Euro), Hollywood Poker (Euro, Budget),
  Killing Machine (Euro), Knights of the Crystallion (Euro), Parasol Stars - The Story of Rainbow Islands II (Euro),
  Player Manager (Euro), Player Manager (Ita), Profezia (Ita), Table Tennis Simulation (Euro), ThunderCats (Euro),
  Time Runners 1 - Gateways in Time (Euro), Time Runners 2 - The Space Stone (Euro), The Times Crosswords Vol. 3 & 4 (Euro),
  Tip Off (Euro, French / German / Italian / Spanish), Total Football (Euro), Total Recall (Euro, Budget), Trinity (Euro, r11),
  The Way of the Little Dragon (Euro), X-It (Euro), Xenon 2 - Megablast (Euro) [Angelo Salese]
nes:
  2 in 1 - Yu Yu + Dragonball Z, 7 in 1 (M-022), 101 in 1 Games, City Fighter IV (Asia), EverQuest - Wújìn de Rènwù (China),
  Famicom Yarou Vol.1 - 7 in 1, Fùjiǎ Sānguó (China), Gimmick! (Asia, pirate), Kart Fighter (Asia, SOMARI-W), Lethal Weapon (China),
  The Lord of King (Asia, pirate), Somari (Asia, SOMARI-P), Somari (Asia, SOMARI-W), Street Heroes (Taiwan), Super 4 in 1,
  Super 7 in 1, Super 8 in 1, Super HIK 7 in 1 (K7006), Super HIK 8 in 1 King Fighter, Super Mario Family 10 in 1,
  Sānguózhì - Yīngjié Zhuàn (China), Sānguózhì - Yīngjié Zhuàn (China, alt), Sānguózhì - Yīngjié Zhuàn (China, alt 2),
  World Hero (Asia), World Hero (Asia, alt) [kmg]


New NOT_WORKING software list additions
---------------------------------------
c64_cass:
  Bazooka Bill (Melbourne House), Brian Bloodaxe, Championship Wrestling, Crack Down, Creatures, Decathlon, Deceptor,
  Doc the Destroyer, Dodgy Geezers, Donkey Kong (Ocean) [The Ultimate Tape Archive Team]
nes: Rockman 6 in 1 (alt) [famiac, NewRisingSun]
pc6001_cart:
  Micro-Painter, Music Editor, The Curse of Crowley Manor, Touch Panel Utility [anonymous]
  Dawn Patrol (beta) [fussballj]


Translations added or modified
------------------------------
Chinese (Simplified) [YuiFAN]
Chinese (Traditional) [YuiFAN]
Greek [BraiNKilleRGR]
Japanese [Fujix, Vas Crabb]


Merged pull requests
--------------------
- 8300: Optimized the multithreading strategy for -listxml. [Nathan Woods]
- 8482: emu/softlist.cpp: Added a “notes” field to store notes about a software list or software list item. [Wilbert Pol]
- 8515: galaxian.cpp: Added two Pac-Man bootlegs. [Ricardo - Factory Arcade, Recreativas.org, ClawGrip]
- 8537: apple2_flop_clcracked.xml, apple2gs_flop_orig.xml: Fixed E7 cracks, and added latest dumps and cracks. [4am, Firehawke]
- 8541: bus/coco: Added initial RPK format support for CoCo ROM cartridges. [Nathan Woods]
- 8569: seta.cpp: Dumped PLDs for blandia, and added placeholders for undumped PLDs. [Sergio Galiano]
- 8570: Added preliminary support for the Casio CTK-551 keyboard and its H8/300-based SoC. [Devin Acker]
- 8582: bus/nes: Added support for the A Winner is You homebrew cartridge. [kmg]
- 8605: sound/tt5665.cpp: Added support for per-channel voice commands. [cam900]
- 8622: bus/nes: Added support for the Y2K 420 in 1 multi-game cartridge. [kmg, BootGod]
- 8624: bus/nes: Fixed graphical issues in Street Heroes, and added the jumper setting to select the title screen. [kmg]
- 8625: tmspoker.cpp: Added two Jeutel “Las Vegas” sets. [Benjamin Roux, ClawGrip]
- 8626: pc6001.cpp: Reworked emulation of the PC-6001mk2SR, fixing many issues and adding a cartridge software list. [Angelo Salese]
- 8628: bus/nes: Added support for original Dòngdòngnǎo II cartridge; bus/nes.xml: corrected board type for Yeong-no Pyramid. [kmg]
- 8629: champbas.cpp Added description for Talbot quota setting DIP switches (MT08093). [Steven Coomber]
- 8630: debugger: Extended target address syntax to include device/address space. [Vas Crabb]
- 8632: nes.xml: Added a N625092 board game, and updated emulation status for several items. [kmg]
- 8633: emu/video.cpp: Use configured snapshot file name for snapshot saved when -seconds_to_run completes. [kmg]
- 8637: bus/snes: Improved SA1 timings, and cleaned up code. [cam900]
- 8639: nes.xml: Added a colorful potpourri of games (ten new working items). [kmg]
- 8640: c64_cass.xml: Added ten working items and one non-working item. [The Ultimate Tape Archive Team, Steven Coomber]
- 8643: mpu4.cpp: Dumped PAL for Escalera Tobogan. [jordigahan, ClawGrip]
- 8644: bus/nes: Set multi-game cartridge bank size with feature elements in the software list; nes.xml: Added three items. [kmg]
- 8645: Updated bgfx, bx and bimg to latest upstream version (fixes GitHub #8057). [Belegdol]
- 8647: machine/amstrad.cpp: Corrected some typographical errors in comments. [jogo-]
- 8648: Revert “amstrad: fix spelling/grammar in the comments (#8647)”. [R. Belmont]
- 8649: machine/amstrad.cpp: Fixed spelling/grammar errors in comments. [jogo-]
- 8651: c64_cass.xml: Added thirteen working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8652: machine/spg_renderer.cpp: Fixed four-level blending for tile layers. [Simon Eriksson]
- 8651: bus/nes: Added support for a couple of homebrew 8-in-1 multi-game cartridges. [kmg]
- 8655: hh_sm510.cpp: Added Tronica Thunder Ball. [algestam]
- 8656: machine/6883sam.cpp: Fixed debug log messages showing TY and M bits. [Tim Lindner]
- 8658: bus/nes: Added the SZROM variant of the MMC1 mapper (fixes saved game corruption in A Ressha de Ikou). [kmg]
- 8660: cpu/m6502/st2205u.cpp: Added very preliminary ADPCM audio output. [David Haywood]
- 8661: util: Cleaned up I/O interfaces further, and added a helper for generating dynamic classes on-the-fly. [Vas Crabb]
- 8663: c64_cass.xml: Corrected cassette labels from #8357 and #8640. [Steven Coomber]
- 8664: bagman.cpp: Changed botanic2 protection handler to return what the game expects and marked PAL dump as bad. [David Haywood]
- 8665: bus/nes: Added support for multi-game cartridges using K-3033 and 970670C boards. [kmg]
- 8666: bus/nes: Fixed loading and bank locking for EH8813A boards; nes.xml: Added two items. [kmg]
- 8668: hh_sm510.cpp: Add cheat inputs for trsrescue and trthuball. [algestam]
- 8670: nes.xml: Set correct board type for fjsanguo. [kmg]
- 8671: c64_cass.xml: Added nine working items and one non-working item. [The Ultimate Tape Archive Team, Steven Coomber]
- 8672: bus/nes: Added support for GN-91B and NC-20MB multi-game cartridges; nes.xml: Added five working items. [kmg]
- 8674: Improved localisation support, enhanced software selection menus, and fixed some UI issues (addresses #8641). [Vas Crabb]
- 8675: bus/nes: Added support for a couple Korean educational titles; nes.xml: Replaced bad dump of brillco2. [kmg, MLX]
- 8676: coco12.cpp: Added support for the ILCE / SEP Micro-SEP 1600. [Tim Lindner]
- 8677: bus/nes: Added support for Super Mario Family, and re-dumped the program ROM. [kmg, MLX, NewRisingSun]
- 8678: c64_cass.xml: Added ten working items and one non-working item. [The Ultimate Tape Archive Team, Steven Coomber]
- 8679: bus/centronics/epson_lx810l.cpp: Fixed carriage position readback after soft reset. [Golden Child]
- 8680: bus/nes: Added support for Super RPG 5 in 1. [kmg, NewRisingSun]
- 8681: nes.xml: Removed mk4p8, as it’s a duplicate of mktrilgya. [kmg]
- 8682: bus/nes: Improved 830118C multi-game cartridge emulation – all menu items now load; nes.xml: Added three items. [kmg]
- 8684: rmnimbus.cpp: Greatly improved mouse emulation (can use with Windows 1/2/3), and improved SASI/SCSI emulation. [prime6809]
- 8685: snes.xml: Changed descriptive and disambiguation text in descriptions to lowercase. [ArcadeShadow]
- 8686: sound/st0016.cpp: Refactored code; machine/st0016.cpp: Cleaned up interface to put connection details in drivers. [cam900]
- 8687: bus/nes: Improved emulation for various VRC clone boards. [kmg]
- 8689: c64_cass.xml: Added ten working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8690: bus/nes: Further improved VRC clone board emulation. [kmg]
- 8691: Added preliminary SPARCstation ELC (Sun 4/25) support – passes boot diagnostics. [Yvan Janssens]
- 8692: bgfx: Updated mipmap and raster bloom passes in Fighters chain (fixes crash identified in GitHub #8538). [sairuk]
- 8693: c64_cass.xml: Added seven working items and two non-working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8694: Updated Greek translation. [BraiNKilleRGR]
- 8695: bus/nes: Corrected VRC4/6/7 pseudo-scanline interrupt counter. [kmg]
- 8697: galaxian.cpp: Added Floritas (Multivideo Spanish Moon Cresta bootleg). [Retromaniacs, ClawGrip]
- 8698: cosmic.cpp: Added Cosmic Alien (version II, set 3). [Retromaniacs, ClawGrip]
- 8699: bus/nes: Added two bootleg games using VRC2 clone hardware, and converted 900218 from a VRC4 clone to a VRC2 clone. [kmg]
- 8700: phoenix.cpp: Added City Attack (Petaco S.A., bootleg of Pleiads). [Retromaniacs, ClawGrip]
- 8701: nes.xml: Added a pair of recent promotional releases. [kmg]
- 8702: nes.xml: Fixed name and alternate title for Rough World. [kmg]
- 8704: cpu/m6502/st2205u.cpp: Added recognizable (but still awful) PSG sound emulation for the dphh8630 driver. [David Haywood]
- 8705: c64_cass.xml: Added ten working items and two non-working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8706: bus/nes: Improved support for Super Cool Boy and related multi-game cartridges; nes.xml: Added seven working items. [kmg]
- 8712: apple2gs_flop_clcracked.xml: Added one hundred and fifteen existing cracks. [Brian Troha, Firehawke]
- 8713: bus/nes: Continued to improve emulation of VRC4 and clones; nes.xml: Added one item. [kmg, famiac, NewRisingSun]
- 8714: bus/nes: Corrected mirroring modes supported by VRC2 (fixes graphical glitches in Wai Wai World). [kmg]
- 8715: ibm5150.xml: Added six items. [The Good Old Days, ArcadeShadow]
- 8716: ibm5170.xml: Added eight items, and re-dumped one item. [The Good Old Days, ArcadeShadow]
- 8717: gba.xml: Changed descriptive and disambiguation text in descriptions to lowercase. [ArcadeShadow]
- 8719: bus/nes: Fixed graphics banking and mirroring issues that caused glitches in Rex Soft Wǔshì Hún (Samurai Spirits). [kmg]
- 8722: amiga.cpp: Improved software compatibility by fixing various issues with I/O, DMA and interrupts. [Angelo Salese]
- 8723: bus/nes: Overhauled Somari board emulation, fixing failures to boot, crashes, and graphical issues. [kmg]
- 8725: video/namco_c355spr.cpp: Merged functionality for Data East games using this chip. [David Haywood]
- 8726: galaxian.cpp: Added brute-forced equivalent PAL image for guttangts3. [Recreativas.org, ClawGrip]
- 8728: bus/nes: Added support for a Somari board variant; nes.xml: Added one item. [kmg, MLX]
- 8729: sound/ay8910.cpp: Fixed AY8930 noise algorithm and PSG type selection. [cam900]
- 8730: c64_cass.xml: Added fourteen working items and three non-working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8732: bus/nes: Added support for a 6-in-1 multi-game cartridge, and set MMC3 (TxROM) initial banks expected by some games. [kmg]
- 8733: nes.xml: Added missing battery-backed RAM area for RPG Jinsei Game. [kmg]
- 8734: c64_cass.xml: Corrected typo in parent name for Commando. [Steven Coomber]
- 8735: bus/nes: Simplified VRC4 clone board T-230. [kmg]
- 8737: c64_cass.xml: Added eleven working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8738: Updated Greek translation. [BraiNKilleRGR]
- 8739: dkong.cpp: Adjusted shootgal crosshair mapping to match the position shown in the game’s test mode. [aequites7]
- 8740: bus/nes: Improved emulation of HIK8IN1 multi-game cartridges and variants; nes.xml: Added three items. [kmg]
- 8741: bus/nes: Fixed off-by-one error in VRC4/6/7 timer interrupt counter. [kmg]
- 8743: bus/nes: Added comments about MMC3 initial VROM/VRAM bank configuration. [kmg]
- 8744: amigaocs_flop.xml: Changed descriptive and disambiguation text in descriptions to lowercase. [ArcadeShadow]


Source Changes
--------------
-Optimized the multithreading strategy for -listxml (#8300) [npwoods]
 * The previous algorithm would spawn tasks but wait for them in sequential order.  This is not necessarily optimal, and with these
    changes we will respond to whichever task completes first.
 * On my computer (Quad Core 2), this triples the speed of a full -listxml

-util/delegate.cpp: Notes from experiments with clang. [Vas Crabb]

-segac2: speed up initialization [hap]

-Laser 128 updates: [R. Belmont, Tom Greene]
 * Added all currently dumped ROM versions
 * Support both the original and later hardware versions
 * Support the built-in mouse interface

New clones added as WORKING
---------------------------
Laser 128 (original hardware) [R. Belmont, Tom Greene]

New working clones
------------------
Winning Spike (ver AAA) [f205v]

-rollext: hooked up eeprom [Ville Linde]

-bus/nes: Added support for Y2K 420 in 1. (#8622) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Y2K 420 in 1 [BootGod]

-bus/nes: Fixed graphics issues in Street Heroes. (#8624) [0kmg]
 * Also added jumper setting to select title screen.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Street Heroes (Taiwan) [0kmg]

-Added laser128o to list. [Robbbert]

-vgmplay.xml: Added 28 new entries [vgmrips.net, Tafoid]

-fix validate error in vgmplay.xml [Scott Stone]

-minimaws: Changed geometry of disclosure triangles. [Vas Crabb]

-util/delegate.cpp: Fixed typo in comment. [Vas Crabb]

-champbas.cpp updated unknown dip switches for Talbot (MT#08093) (#8629) [Steven Coomber]

-mcnpshnt, mjmyornt, suprmous: Add DIP locations [AJR]

-kim1: use pwm_display for the 7segs [hap]

-epos.cpp: Update notes with pinout from Igmo manual [AJR]

-dvmemory: remove outdated/unused FD1094_HACK [hap]

-nes.xml: Added a missing game from recent N625092 board improvements. (#8632) [0kmg]
 * Updated support status of various NES/FDS titles.
 * Fixed loading of mc_76a outside of software lists.

New working software list additions
-----------------------------------
1000 in 1 (alt games) [NewRisingSun]

-x68k: try to fix the gvram clear [cracyc]

-pickin, botanic, squaitsa: Correct mapping for PSGs; add watchdog timer [AJR]

-bus/nes: Added support for original Dongdongnao II cartridge. (#8628) [0kmg]
 * Also set correct board type for Yeong-eo Pyramid, fixing title screen graphics, and identified it as a (licensed) clone of
    Dongdongnao II.

New working software list additions (nes.xml)
---------------------------------------------
Dòngdòngnǎo II: Guózhōng Yīngwén (I) (Taiwan) [MLX]

-debugger: Extended target address syntax to include device/address space. (#8630) [Vas Crabb]
 * Added a validity check to ensure address space names are tag-like and unique, since they're now used as identifiers in debugger
    commands.
 * Extended the syntax for target addresses to allow them to be qualified with a colon followed by an optional device tag and/or
    address space name.  If only the device needs to be specified, a debugger CPU number may also be used.  This makes commands like
    bpset and wpset more flexible, as they can operate on CPUs other than the currently visible CPU.  Commands like find, fill, dump
    and load are more flexible as they can access any space of any device.
 * Removed now-redundant CPU parameters from many commands, and renamed pcatmemp to pcatmem for consistency with other commands.
    Extended region syntax for saver/loadr to support tags relative to the visible CPU (e.g. you can use "." for the region with the
    same name as the visible CPU, or "^sibling" syntax).  Added an optional root device parameter to memdump.  Changed
    interpretation of Boolean values to support numeric expressions as well as true/false strings and literal 1/0.
 * Added checks that the specified device is CPU-like to various commands that require a CPU (e.g. focus).  Previously these
    commands would crash or trigger an assertion failure if a tag for a non-CPU devices was specified.
 * Fixed the cpunum symbol so it uses the same rules for determining what is or isn't a CPU as parameter parsing.
 * Made device_t sanitise subtags better.  Previously you could cause an assertion failure or crash MAME by giving it unexpected
    relative tags via Lua or the debugger.
 * Added help topic alias support, and reworked the data structures to improve the performance of looking up debugger commands and
    help topics.  Removed the "ref" parameter from debugger command functions (std::bind can hold extra argument values for you if
    you need them).  Also added an error message if duplicate debugger commands are registered.
 * Updated help for commands that changed syntax, and also updated summaries for some commands that had changed in the past without
    corresponding help updates.

-emu/video.cpp: Set file names via -snapname when exiting in -seconds_… (#8633) [0kmg]

-ui: Work around GitHub issue #8634. [Vas Crabb]

-util/delegate.cpp: Detect clang x86-64 thunk for first vtable entry. [Vas Crabb]

-photon2: Hook up 8255, mark brod IMPERFECT_CONTROLS [Dirk Best]
 * No change in functionality

-karnov: Cleanup [Dirk Best]

-segahang: some games don't feature freeplay [hap]

-nes.xml: Added a colorful potpourri of games. (#8639) [0kmg]

New working software list additions
-----------------------------------
7 Grand Dad (The Flintstones - The Rescue of Dino &amp; Hoppy pirate) [anonymous]
Black Dragon (Korea) [NewRisingSun]
Flying Superboy (Korea) [NewRisingSun]
Miss Peach World 1 - Super L.A. Cop (Japan) [famiac]
Olympic I.Q. (Korea) [Gaming Alexandria]
1100000 in 1 [Consolethinks]
64 in 1 (CF-015) [Consolethinks]
9999999 in 1 - 1998 Series No. 10 [Consolethinks]
Super 98 - 43 in 1 (VT321) [Consolethinks]
4 in 1 (KG-443) [MrNorbert1994, Consolethinks]

-zac_proto: added sound, added outputs, added save states. [Robbbert]

-mpu4.cpp: Dumped and add PAL for Escalera Tobogan [jordigahan, ClawGrip] (#8643) [ClawGrip]

-c64_cass.xml: 11 new dumps (#8640) [Steven Coomber]
 * New working software list additions Batman (Ocean) [C64 Ultimate Tape Archive V2.0] Battle Through Time (Anirog) [C64 Ultimate
    Tape Archive V2.0] Beach-Head II (U.S. Gold) [C64 Ultimate Tape Archive V2.0] Beach-Head II (Erbe) [C64 Ultimate Tape Archive
    V2.0] Best of Elite: Vol. 1 (Elite Systems) [C64 Ultimate Tape Archive V2.0] Best of Elite: Vol. 2 (Elite Systems) [C64 Ultimate
    Tape Archive V2.0] Beyond the Forbidden Forest (U.S. Gold) [C64 Ultimate Tape Archive V2.0] Beyond the Ice Palace (Elite
    Systems) [C64 Ultimate Tape Archive V2.0] Biff (Beyond Belief Software) [C64 Ultimate Tape Archive V2.0] Big Names Bonanza (U.S.
    Gold) [C64 Ultimate Tape Archive V2.0]
 * New NOT_WORKING software list additions Bazooka Bill (Melbourne House) [C64 Ultimate Tape Archive V2.0]
 * Note that since my last pull request on the c64_cass.xml, the Ultimate Tape Archive V3.0 has been released with an additional 500
    tape files.  I have barely scratched the surface with the existing V2.0 set so I had better pull my socks up!!

-sa1.cpp: Fix CPU speed, memory access cycle, Add notes (#8637) [cam900]

-zac_proto: added labels for inputs [Robbbert]

-amstrad: fix spelling/grammar in the comments (#8647) [jogo-]

-Revert "amstrad: fix spelling/grammar in the comments (#8647)" (#8648) [R. Belmont]
 * This reverts commit 2bc0a7ab939b4ac49a7fb533e96354773fa232e2.

-machine/amstrad.cpp: Fixed spelling/grammar errors in comments. (#8649) [jogo-]

-Update bgfx, bx and bimg to latest upstream (fixes issue #8057) (#8645) [Julian Sikorski]

-bus/rs232: Added a configurable patch box device, and various cleanups. [Vas Crabb]
 * Added comments with V.24 interchange circuit numbers and names to rs232.h to make the meanings of the abbreviated signal names
    clearer.
 * Moved a few slot card classes out of headers and into anonymous namespaces to reduce compile depedencies and exported symbols.
 * Transliterated a Korean NES game title.

-bus/rs232: Added patchbox device source. [Vas Crabb]

-rs232/patchbox.cpp: GCC may allow this syntax, but clang doesn't [AJR]

-alesis.cpp: Correct main CPU type [AJR]

-bus/nes: Added emulation for A Winner is You homebrew cart. (#8582) [0kmg]

-tmspoker.cpp: Add two Jeutel "Las Vegas" sets (#8625) [ClawGrip]

New NOT_WORKING machines
------------------------
Las Vegas (Jeutel, set 1) [Benjamin Roux, ClawGrip]

New NOT_WORKING clones
----------------------
Las Vegas (Jeutel, set 2) [Benjamin Roux, ClawGrip]

-tt5665.cpp: Add support for separate voice commands per output channel (#8605) [cam900]

-bus/a2bus, bus/a2gameio: Moved many class declarations out of headers. [Vas Crabb]
 * This reduces how frequently the Apple II drivers need to be recompiled when a random device changes.
 * Also, this turned up three things that are apparently not hooked up in the PC Transported card.

-Add Z80-derived stub devices for eZ80 and R800 CPUs [AJR]

-ti84pce: Revert overclocking [AJR]

-add all debug options to template. fix shift count to properly display M bits. (#8656) [tim lindner]
 * 6883sam: add all debug options to template. fix shift count to properly display M bits.

-8080bw.cpp:  gunchamp - identify unknown dip switch as "Enter Initials". [Wulfaz] Fixed MT#8095 [Scott Stone]

-spi_sdcard.cpp: Preliminary support for CMD10 (SEND_CID), report CRC16 for data blocks read. [R. Belmont]

-spi_sdcard: don't use a random number in the CID block, it'll confuse BBC Micro MMFS. [R. Belmont]

-pc6001.cpp: Major rework of PC-6001mk2SR (#8626) [Angelo Salese]
 * Added a PC-6001 cartridge software list XML, and hooked up to the driver;
 * Fixed a regression bug with machine_reset fn where PC-6001mkII was implicitly overriding its memory model when a cart was
    inserted, causing being stuck at POST;
 * Improved irq handling and removed a couple kludges, fixing hangs caused by multiple irqs being fired at the same time;
 * Added PC-6601SR "Mr. PC", and improved the specific SR video mode already used by PC-6001mk2SR;
 * Refactored PC-6001mkIISR / PC-6601SR memory model to use address_map_device, allowing BIOS booting and .cas loading in mode 6.
    Replace AY8910 with YM2203;
 * Add keyboard inputs F1-F10, and fixed the specific irq vector dispatch;
 * Add preliminary FDC internal/external interface. Hooked up PC80S31 to external i/f as a proof of concept;
 * Fixed timer enable (fixes Yakyukyo and Punchball Mario boots), and fixed different timer resolution with PC-6001mk2SR so that
    cursor blinking happens at the right frequency;

New machines marked as NOT_WORKING
----------------------------------
PC-6601SR "Mr. PC" [anonymous]

New NOT_WORKING software list additions
---------------------------------------
pc6001_cart.xml: Tutankham [HardcoreHubz, cyberat2600, Gaming Alexandria]

New Working clone added (#8655)
-------------------------------
Thunder Ball (Tronica) [algestam]

New WORKING clones (#8515)
--------------------------
Pac-Man (Cirsa, Spanish bootleg on Galaxian hardware) [Ricardo - Factory Arcade, Recreativas.org]
Komemokos ('Pac-Man (Cirsa, Spanish bootleg)' hack) [Ricardo - Factory Arcade, Recreativas.org]

-segasp.cpp: Love&Berry security PIC dumped [Flinnster, Porchy]

-util: Further API cleanups: (#8661) [Vas Crabb]
 * Turned `core_file` into an implementation of `random_read_write`.
 * Turned PNG errors into a standard error category.
 * Added a helper for generating what look like derived classes on-the-fly.

-Fix multiple issues with debug memory tracking [AJR]
 * Track write accesses rather than read accesses
 * Actually install the taps when the trackmem command is executed
 * Correct cell addresses for address-shifted spaces in Qt and Windows memory viewers

-bus/nes: Added MMC1 variant board SZROM. (#8658) [0kmg]
 * This fixes corrupt (NVRAM) save games for A Ressha de Ikou, the only known game to use this board.

-bus/nes: Added emulation for a couple homebrew 8 in 1 cartridges. (#8654) [0kmg]
 * Adds support for two multi-game cartridges developed by "FARID".

-c64_cass.xml: Added thirteen entries. (#8651) [Steven Coomber]

New working software list additions
-----------------------------------
Bigfoot (Codemasters) [The Ultimate Tape Archive Team]
Bigtop Barney (Interceptor Software) [The Ultimate Tape Archive Team]
Black Lamp (Firebird) [The Ultimate Tape Archive Team]
Black Tiger (U.S. Gold) [The Ultimate Tape Archive Team]
Blood Brothers (Prism Leisure) [The Ultimate Tape Archive Team]
Blue Max (U.S. Gold) [The Ultimate Tape Archive Team]
Blue Max 2001 (U.S. Gold) [The Ultimate Tape Archive Team]
The Blues Brothers (Titus) [The Ultimate Tape Archive Team]
BMX Simulator 2 (Codemasters) [The Ultimate Tape Archive Team]
Bobby Bearing (The Edge) [The Ultimate Tape Archive Team]
The Boggit: Bored Too (CRL) [The Ultimate Tape Archive Team]
Bomb Jack (Elite Systems) [The Ultimate Tape Archive Team]
Bomb Jack II (Elite Systems) [The Ultimate Tape Archive Team]

-machine/bagman: correct license/copyright holder [hap]

-More low-effort cleanup. [Vas Crabb]
 * Got more slot card classes out of headers.
 * Changed most of the Apple II cards still looking up ROM regions manually to use required_region_ptr.
 * Removed an unreferenced function leftover from copy-pasting another device from the Videx Uniprint device.

-pc6001: add fdc irq read port [cracyc]

-legendos: add Wave to company string [hap]

-botanic2: fix protection read value and use the dumped PROM instead of bagman's [David Haywood]

-util/zippath.cpp: Made behaviour of trying to open things inside archives a bit more consistent, fixed another bug with root paths.
 [Vas Crabb]

-util/zippath.cpp: Fixed two issues affecting Windows: [Vas Crabb]
 * Browsing from a location inside an archive causes MAME to hang.
 * Files inside archives are not listed.

-Fix pcatmem command (probably regressed in 360d3a5950f0649270822e2db1ea25028eabd18b) [AJR]

-Fix various typos in comments [AJR]

-machine/spg_renderer.cpp: Fix blend level handling for tile layers (#8652) [Simon Eriksson]

New working clones
------------------
Pengo (set 6, encrypted) [philmurr]

-softlist.cpp: Add support for a 'notes' field to store information ab… (#8482) [wilbertpol]
 * softlist.cpp: Add support for a 'notes' field to store information about a software list or software list item.  [Wilbert Pol]
 * Add software list and software notes to minimaws

-ui: Made file manager software list menu search behave better (based on file selection menu code). [Vas Crabb]

New working clones
------------------
Advisor (Italian bootleg of Space Fury) [Matteo Legittimo, Andrew Welburn]

-ui: Locale-aware sorting for software list items. [Vas Crabb]

-ui: Put software description on the left and sort by description by default. [Vas Crabb]

-osd/windows: Set locale on start so sorting in the UI works properly. [Vas Crabb]

-olyboss: fix crash [cracyc]

-ioprocsfilter.h: Add missing #include [AJR]

-c64_cass: revert from shortened filenames in PR#8640 & PR#8357 (#8663) [Steven Coomber]

-bus/nes: Added support for K-3033 and 970670C type multicart. (#8665) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
2 in 1 (NT-811) [Consolethinks]
4 in 1 1999 [Consolethinks]
35 in 1 (K-3033) [anonymous]

-bus/nes: Fixed loading and bank locking for EH8813A boards. (#8666) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1996 Yīngyǔ CAI 3 in 1 (China) [taizou]
Xiǎoxuéshēng Shùxué CAI (China) [MLX]

-bus/nes: Added support for Golden Mario Party II multicart. (#8667) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Golden Mario Party II - Around the World 6 in 1 [krzsyiobal, NewRisingSun]

-bus/nes: Set multicart bank size in softlist when appropriate. (#8644) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1996 Super HiK 4 in 1 (JY-004) [NewRisingSun, taizou]
1998 Super Game 8 in 1 (JY-111) [Consolethinks, NewRisingSun]
1997 8 in 1 (JY-112) [Consolethinks, NewRisingSun]

-cchasm.cpp: removed duplicated include [Ivan Vangelista]

-dietgo.cpp: moved everything into the driver file, as video/dietgo.cpp only had one method [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Omron Luna [Plamen Mihaylov]

-luna_68k: more complete serial hookup [Patrick Mackinlay]

-luna_68k: add am9513 gate1 clock [Patrick Mackinlay]

-luna_68k: more probable serial clock, handle reset [Patrick Mackinlay]

-bus/nes: Added support for GN-91B and NC-20MB multicart boards. (#8672) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
2 in 1 (GN-91B) [Consolethinks, Nikolka]
20 in 1 (CA-006) [Consolethinks, Nikolka]
2 in 1 (VT-2037) [Consolethinks, Nikolka]
2 in 1 (VT-2038) [Consolethinks, Nikolka]
Super 2 in 1 (WQ 2047) [Consolethinks, Nikolka]

-starfire.cpp: correct ROM labels for starfire set [Andrew Welburn]

-Overdue internal UI enhancements (#8674) [Vas Crabb]
 * frontend: Added support for message context to localisations.
 * frontend: Added string_view versions of the message lookup functions.
 * frontend: Added a few more folder options to the internal UI.
 * emu/softlist.cpp: Use more appropriate containers.
 * Switched to Python 3 by default - this will become a requirement.
 * Updated msgfmt.py for message context support.
 * frontend: Show all software item info in the internal UI.
 * frontend: Search alternate titles in software selection menu.
 * 3rdparty/utf8proc: Updated to v2.6.1 (has several fixes).
 * frontend: Added software filters for common info fields.
 * frontend: Allow UI manager to hold onto persistent session data.
 * frontend: Cache software lists for eight machines.
 * frontend: Added support for loading localised system names.
 * frontend: Add UI for selecting localised system names.

-frontend: Fixed clone sorting; osd/strconv.cpp: The string_view treatment, and fixed a bug with to/from ANSI codepage. [Vas Crabb]

-util/unicode.cpp: string_view treatment for the last two holdouts. [Vas Crabb]

-unicode.cpp: Fix build on non-WIN32 systems [AJR]

-zac_1: added some sound [Robbbert]

-pengo.cpp: updated comments [Brian Troha]

New working clones
------------------
Elite Champion Challenger [hap, Berger]

-frontend: If in doubt, micro-optimise (halves startup time on Windows). [Vas Crabb]

-frontend: Support phonetic reading field from localised system name lists. [Vas Crabb]

-frontend: Fixed sorting of clones when not using localised system names. [Vas Crabb]

-frontend: Allow falling through to file manager for systems that require media, and one more optimisation. [Vas Crabb]

-frontend: Moved plugins menu off the main menu - it's only one level deeper now. [Vas Crabb]

-frontend: Don't show toggles for plugin libraries, show a message when no plugins are found. [Vas Crabb]

-pic17: Fix over/out in debugger [AJR]

-mstworld: fix typo [Barry Rodewald]

-c64_cass.xml: Added eleven entries (#8678) [Steven Coomber]

New working software list additions
-----------------------------------
Cabal (Ocean) [C64 Ultimate Tape Archive V2.0]
California Games (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Capcom Collection (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Captain America in: The Doom Tube of Dr. Megalomann (Go!) [C64 Ultimate Tape Archive V2.0]
Catacombs (Anirog) [C64 Ultimate Tape Archive V2.0]
Championship Sprint (Proein Soft Line) [C64 Ultimate Tape Archive V2.0]
Chart Busters (Beau-Jolly) [C64 Ultimate Tape Archive V2.0]
Chimera (Firebird) [C64 Ultimate Tape Archive V2.0]
China Miner (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Chip's Challenge (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Championship Wrestling (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

-bus/nes: Added emulation for Super Mario Family multicart. (#8677) [0kmg]
 * Replaced underdumped PRG. [MLX, NewRisingSun]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Super Mario Family 10 in 1 [0kmg]

-bus/nes: Added support for a couple Korean educational titles. (#8675) [0kmg]
 * Also replaced the underdumped ROMs for brillco2, which is now fully working.

New working software list additions (nes.xml)
---------------------------------------------
Yeongjaekeom Cocoma Pack 1 (Korea) [MLX]

-Added luna_68k to mess.flt [Robbbert]

New working clones
------------------
Super Rider (v1.3) [Michel Blanco]

-m88000d: Clean up over/out flagging [AJR]

-snes.xml: Change "Prototype" and "Alt" to lowercase. (#8685) [ArcadeShadow]
 * Changed various descriptive and disambiguation text to lowercase.

-frontend: Recovered precious vertical space for system/software names! [Vas Crabb]
 * Reduced the height of the bottom info panel by one line.  The system shortname or list/software name tuple are now only displayed
    in the info box on the right.  It's a bit out-of-the-way, but it's not something you need to see all the time.
 * The main reason for having the quit or return to previous menu item always visible is to make it easy for someone to quit if they
    only have a mouse.  However, we don't need waste space on the menu for this when we have a toolbar.  Users without a mouse can
    exit using the keyboard/controller UI Cancel input (given how important this is, it's unlikely they won't have it mapped to
    something usable).
 * There's now a toolbar button on the extreme right for returning to the previous menu or quitting.  The tooltip and icon are
    appropriately context-sensitive.  This recovers one line on the system selection menu, and two on the software selection menu
    since the separator is no longer needed.
 * Replaced the toolbar icons bitmaps with SVGs.  Colours/shapes may be tweaked before the release if people have good suggestions
 * Flipped the simple system selection menu so the description is on the left.
 * Moved the handling of special cases for the final menu item out of the base menu class.  It's still hacky having it handled there
    at all, but it's less hacky without if menus that want to do something different can do it themselves.

-RM Nimbus updates: (#8684) [prime6809]
 * Updated mouse handling so it mostly works
 * Updated SASI/SCSI code so that formatting disks with HDFORM works for ST125N and ST225N.
 * Added documentation of the video code drawn from the Nimbus Service manual.

-frontend: Fix another dumb clone sorting bug. [Vas Crabb]

-bus/nes: Improved 830118C multicarts, all menu items now load. (#8682) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1994 New Series Red Pig 7 in 1 (EW-002) [anonymous]
1994 Super HiK 7 in 1 (M-026) [anonymous]
1994 Super HiK 7 in 1 (M-027) [anonymous]

Software list items promoted to working (nes.xml)
-------------------------------------------------
7 in 1 (M-022) [0kmg]

-nes.xml: Removed mk4p8, duplicate entry of mktrilgya. (#8681) [0kmg]

-bus/nes: Added support for Super RPG 5 in 1. (#8680) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Super RPG 5 in 1 (CH501) [NewRisingSun]

-frontend: Keep cleaning up. [Vas Crabb]
 * Got rid of one of the UI audit inputs.  There only needs to be one, and the options can be presented in the confirmation menu.
    Two secret keystrokes is too confusing.  Also got rid of the long-obsolete UI Toggle Debugger input.
 * Added audit media button to the toolbar so it's a bit less opaque, and it can be accessed with a mouse/trackball (not just by
    knowing the key mapping).
 * Made default I/O port names localisable.
 * Made autofire plugin save port fields using the { port, mask, type } tuple, the same way MAME does.  Unfortunately this will
    break existing autofire configuration, but it should be more stable going forward.
 * Added some more UI keys to the default key mappings documentation.

-Updated Chinese translations. [YuiFAN]

-Re-generated translations for I/O port names. [Vas Crabb]
 * Trying to collect messages from everything at once hits some limit in xgettext and causes messages to be lost no, so I've split
    it up by the second-level source directories.
 * For some reason xgettext thinks overloaded Lua functions are blasphemy, so that has to be worked around, too.

-luna_68k: boots to monitor [Patrick Mackinlay]

-bus/nes: Improved support for various VRC clone boards. (#8687) [0kmg]
 * Expanded VRC4 CHR bank regs to 9-bit. This functionality is verified on Konami VRC4 hardware as well but is only used by clones
    (World Hero here).
 * Removed board for World Hero. Its VRC4 clone chip is under a glop top but is thought to be identical to Konami's.
 * Reimplemented TF1201 (Lethal Weapon) as a VRC4 subclass. Its clone chip is only known to differ by the IRQ reload bit, which it
    ignores.
 * Reimplemented Shui Guan Pipe as a VRC4 subclass. Its clone chip has different PRG banking but is otherwise standard.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Gimmick! (Asia, pirate) [0kmg]
Lethal Weapon (China) [0kmg]
World Hero (Asia) [0kmg]
World Hero (Asia, alt) [0kmg]

-nes.xml: Set correct board type for fjsanguo. (#8670) [0kmg]

-lckydraw, lckydrawa: made working in the electronic sense. [Robbbert]

-More UI enhancements/cleanup: [Vas Crabb]
 * Made the headings in the info viewer clickable, so you can switch between DATs with a mouse or trackball (or maybe a lightgun if
    that's your thing).
 * Made the UI red/yellow/green traffic light status colours less dirty-looking.  The "yellow" is more of an amber-brown than a cat
    puke brown now, and red is brighter.  The contrast with white text is definitely fine for red and green, but it's reduced a bit
    for yellow. However there's a limit to how dark you can make a yellow or orange colour before it looks muddy.
 * Reduced the number of places the UI uses red for things that aren't errors.  The error colour should be used sparingly, for
    actual errors.
 * Improved the colour swatch display in the RGBA colour editor.  It now has black/white underlay so alpha effects are move obvious.
    Also fixed a bug preventing the channels being run down to zero.
 * Fixed double-clicking configure machine causing MAME to exit from the system selection menu.  Also slightly adjusted the colours
    of the toolbar buttons again.

-tms32082: rewrote the PP disassembler [Ville Linde]

-frontend: More wording and localisation fixes for colours menus. [Vas Crabb]

-st2205u.cpp - add some very preliminary ADPCM output (#8660) [David Haywood]

-hd6120: IAC also complements LINK on carry out [AJR]

-hd6120: Improve sequencing for OPR group 1 [AJR]

New machines added as MACHINE_NOT_WORKING
-----------------------------------------
Ensoniq KS-32 [TaunTek.com, R. Belmont]

-bus/centronics/epson_lx810l.cpp: Fixed carriage position readback after soft readback. (#8679) [goldnchild]

-bgfx: Updated mipmap support in Fighters chain. (#8692) [sairuk]
 * Fixes crashes on Linux using Vulkan backend (GitHub #8538).

New working clones
------------------
Asuka & Asuka (Japan, version 1) [Brian Troha, The Dumping Union]

-Meteor (Alca bootleg of Moon Cresta) [Andrew Welburn, system11]

-bus/nes: More VRC clone improvements: (#8690) [0kmg]
 * Added emulation for 900218 board (Lord of King pirate).
 * Re-implemented non-working City Fighter IV board. 4-bit PCM audio is still unemulated.
 * Simplified board with AX5705 VRC4 clone chip (SMB Pocker Mali).

Software list items promoted to working (nes.xml)
-------------------------------------------------
City Fighter IV (Asia) [0kmg]
The Lord of King (Asia, pirate) [0kmg]

-Various improvements to the user experience: [Vas Crabb]
 * Extended the memory access prefixes in debugger expressions to support address space names.
 * Made the debugger history command aware of how much history it has collected, and added a help topic for it to the built-in
    debugger help.
 * Started updating the documentation for the web site, and corrected some of the more misleading built-in debugger help.
 * Made some corrections to Chinese localisation after discussion with YuiFAN.
 * Darkened the UI red colour a little.
 * cpu/m6502/st2205u.h: Marked sound imperfect.

-konmedal020: add xga skeleton and few oak bits [cracyc]

-sparc: Add support for over/out disassembler flags [AJR]

-Casio CTK-551 [Daivn Acker]

New machine marked as NOT_WORKING
---------------------------------
Casio CTK-551 [Devin Acker]

-lckydraw: added coin counter. [Robbbert]

-bujutsu: correct game title [hap]

-Updated Greek Translation (#8694) [BraiNKilleRGR]

-lckydrawa: added note [Robbbert]

-More user experience improvements: [Vas Crabb]
 * frontend: Allow clicking the adjuster arrows on menu items.  This allows things like video options and DIP switches to be
    configured using a mouse only.  Also fixed a bug preventing paging menus with a mouse if the first item scrolled off the bottom
    is not selectable.
 * debugger: Allow wplist and bplist to accept a CPU argument to list breakpoints/watchpoints for a single CPU only.
 * debugger: Fixed some corner cases in address space syntax in memory accesses, and allowed memory region accesses to use tags
    relative to the visible CPU.
 * emu/softlist.cpp: Ignore notes elements when loading software lists. It's effectively a comment that isn't a comment
    syntactically, it's being used for things that are not useful to display in the internal UI, and it slows down startup.
 * docs: Updated three more pages of debugger documentation.  Also updated more of the built-in debugger help.
 * minimaws: Fixed up schema for software list notes, made sofware list notes display initially collapsed.

-asuka.cpp: split in subclasses [Ivan Vangelista]

-nes.xml: Added a pair of promotional releases. (#8701) [0kmg]

New working software list additions
-----------------------------------
Gotta Protectors - Amazon's Running Diet [kmg]
Minna de Mamotte Knight - Amazon no Daisakusen [kmg]

-bus/nes: Corrected VRC4/6/7 IRQ pseudo-scanline counter. (#8695) [0kmg]
 * This eliminates the constant shaking in TMNT2J and Akumajo Special's status bars and full screen shaking in some vertical stages
    (Clock Tower at least) in Akumajo Densetsu.

-bus/nes: Added a couple bootleg games using VRC2 clone hardware. (#8699) [0kmg]
 * Also convert 900218 board from VRC4 clone to VRC2 clone.

New working software list additions (nes.xml)
---------------------------------------------
Batman - The Video Game (Brazil, pirate) [Fisher]
Fudou Myouou Den (pirate) [anonymous]

-a1supply.cpp updates: [Ivan Vangelista]
 * dumped another PCB for TV Poker [f205v]
 * PCBs use a 4040 CPU
 * added NO_DUMPs to tv21_3 set
 * updated ROM labels

-More user experience improvements: [Vas Crabb]
 * frontend: Made it possible to cancel a media audit while it's in progress.  Also made the media audit multi-threaded so it's
    faster.
 * frontend: Made the DIP switches in the DIP switch preview clickable.
 * frontend: Made the system and software selection menus leave focus on the same system when clearing the search rather than
    jumping to the first item.  Also fixed a couple of bugs in the logic for keeping the selected item visible.
 * frontend: Fixed a few places that weren't showing localised system names.
 * frontend: Made UI Cancel clear a search in the file manager the same way it does on the system and sofware selection menus.
 * frontend: Made it possible for plugin menus to handle UI Cancel more naturally, backing up to the previous plugin menu rather
    than dropping straight back to the list of plugins.  Updated the autofire, cheat and cheatfind plugins, and fixed a few other
    issues in the cheatfind plugin.
 * debugger: Made the mount and unmount commands accept instance names as well as brief instance names.  Also updated another page
    of debugger documentation.

-frontend: Show full sofware name in right panel for favourites, too. [Vas Crabb]

-frontend: Two bug fixes. [Vas Crabb]
 * Audit menu was using one variable for two things, which obviously doesn't work.
 * DIP switch menu could trigger spurious clicks on for systems with too many DIP switch groups to show.
 * Also work around Xcode's issues with casting non-const to const reference wrappers.

-Actually commit the workaround for Xcode's issues with reference wrapper casts. [Vas Crabb]

-Fixed E7 cracks, some additional new apple2_flop_clcracked disks. (#8537) [Firehawke]
 * A number of Apple II cleanly cracked disks were re-cracked due to a compatibility issue with IWM disk controllers on Apple
    IIc/IIgs machines; while MAME was not affected by this issue, these sets are being treated as promoted to working as real
    hardware still exists to use these disk images.
 * Imperfect E7 cracks will not function on specific combinations of drives and newer Apple II machines due to subtle timing issues,
    but run fine on MAME and other emulators. Some, mostly Epyx, were not previously.

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Woolly Bounce (Version 1.0) (800K 3.5") [4am, Firehawke]
The Hitchhiker's Guide to the Galaxy (Release 56 / 841221) [4am, Firehawke]
The Hitchhiker's Guide to the Galaxy (Release 58 / 851002) [4am, Firehawke]
The Hitchhiker's Guide to the Galaxy (Release 31 / 871119) [4am, Firehawke]
Beyond Zork (Release 49 / 870917) [4am, Firehawke]
Beyond Zork (Release 57 / 871221) [4am, Firehawke]
Border Zone (Release 9 / 871008) [4am, Firehawke]
Bureaucracy (Release 86 / 870212) [4am, Firehawke]
ProDOS (Version B.1A 09-DEC-82) [4am, Firehawke]
Picture Chompers (Version 1.0) (800K 3.5") [4am, Firehawke]
Number Munchers (Version 1.3) (800K 3.5") [4am, Firehawke]
Mystery Objects (Version 1.1) (800K 3.5") [4am, Firehawke]
Littletown Zoo (800K 3.5") [4am, Firehawke]
Invisible Bugs (Version 1.1) (800K 3.5") [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Street Sports Baseball [4am, Firehawke]
Street Sports Football [4am, Firehawke]
Sub Battle Simulator [4am, Firehawke]
Summer Games [4am, Firehawke]
Summer Games II [4am, Firehawke]
Temple of Apshai Trilogy [4am, Firehawke]
The Ancient Art of War at Sea [4am, Firehawke]
The Games: Winter Edition [4am, Firehawke]
Winter Games [4am, Firehawke]
The World's Greatest Football Game [4am, Firehawke]
World Karate Championship [4am, Firehawke]
Ricochet [4am, Firehawke]
Spiderbot [4am, Firehawke]
Street Sports Basketball [4am, Firehawke]
Street Sports Soccer [4am, Firehawke]
The Movie Monster Game [4am, Firehawke]
Spy vs. Spy III: Arctic Antics [4am, Firehawke]
The Sporting News: Baseball [4am, Firehawke]
The World's Greatest Baseball Game (cleanly cracked) [4am, Firehawke]
RoboCop [4am, Firehawke]

Software list items promoted to working
---------------------------------------
apple2_flop_clcracked.xml: Mind Mirror (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_clcracked.xml: Where in Time is Carmen Sandiego (Version 1.0) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: All About America (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Animate (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Bank Street StoryBook (Version 1.1) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Bank Street Writer II (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Boulderdash Construction Kit (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Centauri Alliance (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Creative Play (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Dondra - A New Beginning (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: English Achievement IV (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Felony (Thunder Mountain release) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Goldfinger (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Microzine 7 (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Microzine 9 (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Microzine 14 (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: High Stakes (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: In Search of the Most Amazing Thing (Revision 2) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Indiana Jones in Revenge of the Ancients (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Kung Fu Master (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Locksmith (Version 5.0 Revision C) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Locksmith (Version 5.0 Revision F) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Mathematics Skills Software Level 2 (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Mr. Pixel's Cartoon Kit (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Multiple Choices (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Mystery Sentences (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Operation Frog (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Project Space Station (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Pyramid Puzzler (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Secret Filer (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Ten Little Robots (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Forbidden Castle (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Fractions (Version 3.1 / 25-NOV-83) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Mastering the SAT (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Millionaire (Release 2) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Tag Team Wrestling (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Sub Mission (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The Eidolon (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Techno Cop (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The Circuit Simulator (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Where in Europe is Carmen Sandiego? (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Story Maker (64K Version) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Robot Odyssey (Version 1.1) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Reading Workshop: Distant Views (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Story Tree (Version 1.4) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Winnie the Pooh in the Hundred Acre Wood (Sierra On-Line) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Soko-Ban (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Swiss Family Robinson (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Tink! Tonk! - Tuk Goes to Town (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Reading Workshop: Running Free (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Voodoo Island (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Success with Typing (Version 1.2) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Tales of Mystery (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The Wizard of Oz (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Robot Odyssey I (Version 2.0) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Tink! Tonk! Tink's Subtraction Fair (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Tonk in the Land of the Buddy-Bots (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Where in the USA is Carmen Sandiego? (Version 26-APR-1989) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Where in the World is Carmen Sandiego? (Version 15-AUG-1989) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Treasure Island (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Computer Preparation for the SAT (Version 1.1A) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The World's Greatest Baseball Game (Enhanced Version) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Certificates and More! (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Algebra Volume 6 (Version 1.0) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Where in North Dakota is Carmen Sandiego? (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Conceptor (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The Math Twister (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Dondra: A New Beginning (Revision 2) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: MECC-A405 Sports Stats (Version 1.0) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Algebra Volume 4 (Version 1.1) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Algebra Volume 3 (Revision 0) (cleanly cracked) [4am, Firehawke]

Software list items promoted to working
---------------------------------------
apple2_flop_clcracked.xml: Five in a Row - Addition and Subtraction (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: Rocky's Boots (Version 4.0) (cleanly cracked) [4am, Firehawke]
apple2_flop_clcracked.xml: The Hangtown Trilogy (Version 2.2) (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Magic Spells (Version 2.3) (800K 3.5") [4am, Firehawke]
Math Rabbit (Version 1.3) (800K 3.5") [4am, Firehawke]
Think Quick! (Version 1.4) (800K 3.5") [4am, Firehawke]
Word Attack! (Version 06.01.87) (800K 3.5") [4am, Firehawke]
Word Attack Plus! (Version 1.2) (800K 3.5") [4am, Firehawke]
Word Attack Plus! French (Version 1.3) (800K 3.5") [4am, Firehawke]
Word Attack Plus! Spanish (Version 1.2, 09.01.88) (800K 3.5") [4am, Firehawke]
SuperPrint II (800K 3.5") [4am, Firehawke]
Track Attack [4am, Firehawke]
The Print Shop [4am, Firehawke]
Genesis [4am, Firehawke]
Killed Until Dead [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Match Maker Biology Facts (cleanly cracked) [4am, Firehawke]
The Dam Busters (cleanly cracked) [4am, Firehawke]
A Question of Scruples (cleanly cracked) [4am, Firehawke]
The Basics of BASIC (cleanly cracked) [4am, Firehawke]
Solo Flight (cleanly cracked) [4am, Firehawke]
PFS (Version A.02, 1980-10-23) (cleanly cracked) [4am, Firehawke]
Boulder Dash II (cleanly cracked) [4am, san, Firehawke]
Ape Escape (cleanly cracked) [4am, Firehawke]
Trompers (cleanly cracked) [4am, Firehawke]
Squire (Version 1.0) (cleanly cracked) [4am, Firehawke]
Interlude II (cleanly cracked) [4am, Firehawke]
Who Framed Roger Rabbit (cleanly cracked) [4am, Firehawke]
Logic Builders (cleanly cracked) [4am, san, Firehawke]
PFS (Version B.00, 1981-01-03) (cleanly cracked) [4am, Firehawke]
Algebra Volume 1 (Version 1.1.2) (cleanly cracked) [4am, Firehawke]
Pop 'R Spell (Rev 2) (cleanly cracked) [4am, Firehawke]
Multidimensional Personality Evaluation (cleanly cracked) [4am, Firehawke]
Serendipity (cleanly cracked) [4am, Firehawke]
Inca (cleanly cracked) [4am, Firehawke]
The Holy Grail (cleanly cracked) [4am, Firehawke]
How to Read in the Content Areas (cleanly cracked) [4am, Firehawke]
Mixed Number Concepts (cleanly cracked) [4am, Firehawke]
PFS:Write (Version 26-APR-86) (cleanly cracked) [4am, Firehawke]
Conjecture (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
King's Quest II (Version 2.0A) [4am, Firehawke]
Solitaire Royale (Version 1.0) [4am, Firehawke]

-nes.xml: Fixed name and alt title for Rough World. (#8702) [0kmg]

-Updated Chinese translations. [YuiFAN]

-Fixed syntax errors in translation files. [Vas Crabb]

-pc8401a: remove wrong comment [hap]

-naomi.cpp: document Driving sim GD-ROMs [MetalliC]

New machines marked as NOT_WORKING
----------------------------------
Exciting Boat Race [Phil Bennett]
Speed Basketball [Tailsnic Retroworks]

-speedbsk.cpp: Map devices [AJR]

New working clones
------------------
Guttang Gottong (Sede 3 bootleg on Galaxian type hardware) [Retromaniacs]

-Updated translation files for latest changes. [Vas Crabb]

-New WORKING clone (#8700) [ClawGrip]

New WORKING clone
-----------------
City Attack (Petaco S.A., bootleg of Pleiads) [Retromaniacs]

-Confirmed that "Pleiads (Irecsa)" is a bootleg [ClawGrip]

New working software list additions
-----------------------------------
megadriv.xml: Mortal Kombat (prototype) [drx, The Hidden Palace]

-frontend: Cleaned up rendering of info views. [Vas Crabb]
 * Put the description for systems in the info box - it's useful for the fruit machines with very long names that are truncated in
    the list. Also stopped truncating manufactuer and parent name in the info box.
 * Made the text layout class capable of handling lines containing combinatations of left/centre/right-justified text and got rid of
    the legacy UI manager text wrapping function.  Made the system/software selection menus and the info viewer share the same code
    for formatting info text.  This means the multi-column layout works properly in the info viewer now, and the code is a lot
    simpler.  Also the system/software selection menus don't have to redo the text layout every frame now.
 * Made the info viewer update the text layout if the output aspect ratio changes, and cleaned up more legacy code.  The lines in
    the info viewer are no longer bogus "menu items", and there's a lot less special-case code to support it in the base menu class.
 * This commit includes an update to the Chinese translations from YuiFAN.

-Regenerate and patch up translation files for latest UI work. [Vas Crabb]

-frontend: Better code for carrying justification across when wrapping. [Vas Crabb]

-frontend: fixed horizontal offset on text boxes with blank lines. [Vas Crabb]

-frontend: Further improved behaviour of info box on system selection menu, and fixed alignment issues. [Vas Crabb]

-am9517a: Updates [AJR]
 * Store actual line state in status register, correcting to logical state when used
 * Revert previous change that corrupted DREQ input state when the mask register was written to
    (3b151130022e04fc6d4111fbf3aeec295e2659fb)
 * Add configuration methods to define initial state for DREQ inputs being active low (or high)
 * Add a few more internal helper functions
 * Disable side effects of reads for debugging

-marineb.cpp: Updates and fixes [AJR]
 * More accurate interrupt generation
 * Add watchdog timer
 * Workaround for hang after soft reset

-speedbsk: Hook up service mode LCD and maincpu IRQ [Dirk Best]

-speedbsk: Set ppi tristate to prevent bogus write [Dirk Best]

-bus/nes: VRC2 only supports two mirroring modes. (#8714) [0kmg]
 * Fixes several graphics glitches in Wai Wai World.

-bus/nes: Improved support for Super Cool Boy and related multicarts. (#8706) [0kmg]
 * Also renamed set mc_4scb and made it a clone of one of the new additions.

New working software list additions (nes.xml)
---------------------------------------------
Super Cool Boy 3 in 1 (ABAB CB-403x) [NewRisingSun]
Super Cool Boy 4 in 1 (CB-4011) [Consolethinks, NewRisingSun]
Super Cool Boy 4 in 1 (CB-4034) [Consolethinks, NewRisingSun]
Super Cool Boy 4 in 1 (CB-4035) [CaH4e3, NewRisingSun]
4 in 1 (JH-274) [anonymous]
1998 HIGH 4 in 1 (YH-463) [anonymous]
4 in 1 (YH-4103) [anonymous]

-sun4.cpp: Added preliminary Sun4/25 support. (#8691) [Yvan Janssens]

New clones marked as not working
--------------------------------
Sun Microsystems SPARCstation ELC (Sun 4/25) [Yvan Janssens]

-bus/nes: Continued work on VRC4 and clone boards. (#8713) [0kmg]
 * Tweaked VRC4 class to make it easier to extend for clones and multicarts. The main new pieces are: a centralized and more
    flexible function for PRG banking and an overridable IRQ acknowledge function.
 * Added support for 830506C board.
 * Added support for unknown board for Yu Yu Hakusho/Dragon Ball Z 2-in-1.
 * Made a small simplification to TF1201 using new IRQ function.

New working software list additions (nes.xml)
---------------------------------------------
1994 Super HiK 4 in 1 (JY-005) [famiac, NewRisingSun]

Software list items promoted to working (nes.xml)
-------------------------------------------------
2 in 1 - Yu Yu + Dragonball Z [0kmg]

New Working Clone
-----------------
Instituto Latinoamericano de la Comunicación Educativa / Secretaría de Educación Pública Micro-SEP 1600 [Tim Lindner]

-Still more user experience improvements: [Vas Crabb]
 * Changed the default mapping for UI select to not trigger on Alt+Enter fullscreen toggle.  (Fullscreen toggle still doesn't work
    in menus - actually fixing that is complicated.)
 * frontend: Made the about box wrap text properly, made the title and backtrack menu item always visible, and added a footer with
    the VCS revision.
 * frontend: Don't highlight the favourites and info toolbar buttons if there's no selection (can happen if filters produce no
    results).  Also made the info viewer appear even if no info is available - it's less confusing to see an empty menu than wonder
    why clicking the button does nothing.
 * debugger: Added a register points view to the GUI debuggers, to go with the breakpoints and watchpoints views.
 * debugger: Extended [brw]p(clear|(en|dis)able) commands to accept multiple arguments to perform the same action on multiple
    (break|watch|register)points at once.  Also made rplist accept a CPU for showing a single CPU's register points ([bw]plist
    already support this).
 * docs: Updated registerpoints debugger commands page, and updated other pages for latest extensions to syntax.

-Add new files to SDL OSD as well as Mac OSD. [Vas Crabb]

-pc_vga: add xga blits [cracyc]

-gst80,gts80a,gts80b: WIP. Some games can be played. [Robbbert]

-koikoi.cpp: added reference video for colors [Ivan Vangelista]

-williams.cpp: corrected bubbles labels and updated comments [Corrado Tomaselli, Brian Troha]

-Better rules for generating .po files - multiple jobs have an effect now. [Vas Crabb]

-Revert "Better rules for generating .po files - multiple jobs have an effect now." [Vas Crabb]
 * Need to find a better way of doing this without causing .po files to be rebuilt on every build.  The commit is still there for
    reference.
 * This reverts commit efe9c1e7283e6a0ca5f4fc57a832430e656399ef.

-gts80: added a list of known alternate roms [Robbbert]

-bus/nes: Corrections for SL-1632 board. (#8719) [0kmg]
 * bus/nes: Corrections for SL-1632 board.
   - Fixed CHR banking and mirroring issues. Clears up all graphics glitches in Rex Soft's Samurai Spirits.
 * Only set necessary bank when already in VRC2 mode.

-hh_sm510: Add cheat for trsrescue and trthuball (#8668) [algestam]

-sag: preparing for pacman2 dump [hap]

-ra17xx: fixed error message [Robbbert]

-debugger: Finished updating commands and documentation. [Vas Crabb]
 * Updated cheat commands to work with arbitrary devices and address spaces.  You can still only search RAM areas in a single
    address space at a time, but any address space of any device can be used now.
 * Made the cheatinit/cheatrange commands not affect current state if the arguments are invalid.  Also fixed some bugs in the cheat
    commands.
 * Updated documentation for cheat commands, and added a simple worked example.  Also added single-sentence descriptions of what
    (break|watch|register)points are to the top of the relevant pages.

-frontend improvements: [Vas Crabb]
 * Added a bit more info to the about box, moved the VCS revision to the heading.
 * Don't show "not" codes in prompts - they're not helpful.

-fastlane: fixed score layer color [Jotego, Angelo Salese]

New working clones
------------------
Buccaneer (set 2) [Jeremy Locke, Cam]

-docs: Documented debugger's built-in functions for expressions. [Vas Crabb]

-Fixed a couple of coverity warnings. [Vas Crabb]

-upd765: use the command sector size not the address size in read track and set the correct bit in st2 to indicate data crc error
 [cracyc]

-seta.cpp: add dumps for plds in blandia set, and info for undumped plds (#8569) [Sergio G]

seta.cpp: add dumps for plds in blandia set
-------------------------------------------
http://www.citylan.it/wiki/images/6/67/334_PCB_component_side.jpg [Sergio G]

-seta.cpp: added info for undumped plds in several sets: [Sergio G]

-rezon & rezont: https://i.ebayimg.com/images/g/nR8AAOSwJ6JdOxBX/s-l1600.jpg [Sergio G]

-umanclub: https://i.ebayimg.com/images/g/TCkAAOSwhnZexMZr/s-l1600.jpg [Sergio G]

-zingzip: https://img.ricardostatic.ch/t_1800x1350/pl/1135454728/1/3/ [Sergio G]

-daioh & daioha: [Sergio G]

-msgundam & msgundam1: https://cdn.shopify.com/s/files/1/1861/2927/products/IMG_20210520_160716_1024x1024@2x.jpg [Sergio G]

-wrofaero: http://blog.system11.org/wp-content/uploads/2017/06/20170610_war_of_aero.jpg [Sergio G]

-jjsquawk & jjsquawko: https://i.imgur.com/ZCHV5QT.jpg  &
 http://blog.system11.org/wp-content/uploads/2016/01/20160129_jj_squawkers.jpg [Sergio G]

-kamenrid: https://i.ebayimg.com/images/g/77AAAOSwd11gaO-Q/s-l1600.jpg [Sergio G]

-eightfrc: http://www.fillmoregames.com/pcbs/eight_forces_01.jpg [Sergio G]

-krzybowl:
 https://coinoppartsetc.com/sites/default/files/products/Crazy%20Bowl%20Arcade%20Machine%20Game%20PCB%20Printed%20Circuit%20Board%20-%20Sammy%20-%20%23812-29%20-%20AS%20IS%20%281%29.JPG
 [Sergio G]

-extdwnhl: https://quarterarcade.com/Media/Thumbs/0013/0013870-extreme-downhill.jpg [Sergio G]

-gundhara: https://www.jammarcade.net/images/2015/05/Gundhara_PCB_800.jpg  &
 https://img.over-blog-kiwi.com/2/57/89/99/20180821/ob_3b9745_img-4880.JPG [Sergio G]

-sokonuke (same as extdwnhl?):
 https://cdn.shopify.com/s/files/1/1861/2927/products/IMG-20200222-165329_1024x1024@2x.jpg?v=1582358079 [Sergio G]

-zombraid: https://i.ebayimg.com/d/w1600/pict/163932014453_/Tested-Working-Sammy-Zombie-Raid-Arcade-Video-Game.jpg [Sergio G]

-utoukond: http://www.ym2149.com/arcadepcb/pcb/banpresto/ultra_toukon_densetsu_pcb_partside.jpg [Sergio G]

-neobattl: https://i.ebayimg.com/images/g/35YAAOSwq2NeUdT6/s-l1600.jpg [Sergio G]

-fix ROM_LOAD arguments for "fw-003.u52" [Sergio G]

-New working software list additions (apple2gs_flop_clcracked.xml) (#8712) [Firehawke]

New working software list additions (apple2gs_flop_clcracked.xml)
-----------------------------------------------------------------
Aesop's Fables (cleanly cracked) [Brian Troha]
All About America (cleanly cracked) [Brian Troha]
Ancient Land of Ys (cleanly cracked) [Brian Troha]
Arkanoid (Version 12-Jan-89) (cleanly cracked) [Brian Troha]
Arkanoid II: Revenge of Doh (Version 29-Aug-89) (cleanly cracked) [Brian Troha]
Arkanoid II: Revenge of Doh (Version 18-Jul-89) (cleanly cracked) [Brian Troha]
Battle Chess (cleanly cracked) [Brian Troha]
Block Out (Version 1.0) (cleanly cracked) [Brian Troha]
Bubble Ghost (cleanly cracked) [Brian Troha]
Bubble Ghost - Hard Drive compatible (cleanly cracked) [Brian Troha]
Calendar Crafter (Version 1.2) (cleanly cracked) [Brian Troha]
California Games (cleanly cracked) [Brian Troha]
Captain Blood (cleanly cracked) [Brian Troha]
Cavern Cobra (cleanly cracked) [Brian Troha]
Club Backgammon (Version 2.0) (cleanly cracked) [Brian Troha]
Club Backgammon (Version 1.0) (cleanly cracked) [Brian Troha]
Cribbage King / Gin King (Version 1.01) (cleanly cracked) [Brian Troha]
Defender of the Crown (cleanly cracked) [Brian Troha]
Déjà Vu (cleanly cracked) [Brian Troha]
Déjà Vu II: Lost in Las Vegas (cleanly cracked) [Brian Troha]
Designer Prints (Version 1.0) (cleanly cracked) [Brian Troha]
Designer Puzzles (Version 1.0) (cleanly cracked) [Brian Troha]
Destroyer (cleanly cracked) [Brian Troha]
Downhill Challenge (cleanly cracked) [Brian Troha]
Fantavision (Version 2.1) (cleanly cracked) [Brian Troha]
Fantavision (Version 1.0) (cleanly cracked) [Brian Troha]
Fast Break (cleanly cracked) [Brian Troha]
Final Assault (cleanly cracked) [Brian Troha]
Gauntlet (cleanly cracked) [Brian Troha]
Geometry (Version 1.0) (cleanly cracked) [Brian Troha]
Gnarly Golf (cleanly cracked) [Brian Troha]
Grand Prix Circuit (cleanly cracked) [Brian Troha]
Great Western Shootout (cleanly cracked) [Brian Troha]
Hacker II: The Doomsday Papers (cleanly cracked) [Brian Troha]
Hardball! (cleanly cracked) [Brian Troha]
Hostage: Rescue Mission (cleanly cracked) [Brian Troha]
Impossible Mission II (cleanly cracked) [Brian Troha]
Jack Nicklaus' Greatest 18 Holes of Major Championship Golf (cleanly cracked) [Brian Troha]
Jigsaw (Version 1.4 - 022988) (cleanly cracked) [Brian Troha]
King's Quest - Quest for the Crown (cleanly cracked) [Brian Troha]
King's Quest II - Romancing The Throne (cleanly cracked) [Brian Troha]
King's Quest III - To Hier is Human (cleanly cracked) [Brian Troha]
LaserForce (cleanly cracked) [Brian Troha]
Leisure Suit Larry in the Land of the Lounge Lizards (cleanly cracked) [Brian Troha]
Magical Myths (cleanly cracked) [Brian Troha]
Mancala (Version 1.0) (cleanly cracked) [Brian Troha]
Marble Madness (cleanly cracked) [Brian Troha]
Math Blaster Plus! (Version 1.1) (cleanly cracked) [Brian Troha]
Math Blaster Plus! (Version 1.0) (cleanly cracked) [Brian Troha]
Math Wizard (cleanly cracked) [Brian Troha]
Mavis Beacon Teaches Typing (Version 1.8 21-Dec-88) (cleanly cracked) [Brian Troha]
Mavis Beacon Teaches Typing (Version 1.2 16-Nov-87) (cleanly cracked) [Brian Troha]
Mean 18 (cleanly cracked) [Brian Troha]
Mercury (Version 1.0) (cleanly cracked) [Brian Troha]
Music Construction Set (Version 1.0) (cleanly cracked) [Brian Troha]
Neuromancer (cleanly cracked) [Brian Troha]
Paperboy (cleanly cracked) [Brian Troha]
Pipe Dream (cleanly cracked) [Brian Troha]
Qix (Version 1.4? 16-Jan-90) (cleanly cracked) [Brian Troha]
Read and Rhyme (cleanly cracked) [Brian Troha]
Read-a-Rama (cleanly cracked) [Brian Troha]
Reader Rabbit (Version 2.3) (cleanly cracked) [Brian Troha]
Reader Rabbit (Version 2.2) (cleanly cracked) [Brian Troha]
Reading and Me (Version 1.0) (cleanly cracked) [Brian Troha]
Sea Strike (Version 1.0) (cleanly cracked) [Brian Troha]
Serve and Volley (cleanly cracked) [Brian Troha]
Shanghai (Version 15-Sep-87) (cleanly cracked) [Brian Troha]
Shanghai (Version 20-Jan-87) (cleanly cracked) [Brian Troha]
ShowOff (Version 1.1) (cleanly cracked) [Brian Troha]
Silent Service (Version 925.01) (cleanly cracked) [Brian Troha]
Silpheed - Super Dogfighter (cleanly cracked) [Brian Troha]
Skate or Die (Version 1.1 07-Oct-88) (cleanly cracked) [Brian Troha]
Skate or Die (Version 1.0 12-Aug-88) (cleanly cracked) [Brian Troha]
Space Quest - The Sarien Encounter (cleanly cracked) [Brian Troha]
Space Quest II - Vohual's Revenge (cleanly cracked) [Brian Troha]
Spirit of Excalibur (cleanly cracked) [Brian Troha]
Storybook Weaver (Version 1.0) (cleanly cracked) [Brian Troha]
Storybook Weaver - World of Adventure (Version 1.0) (cleanly cracked) [Brian Troha]
Storybook Weaver - World of Make-Believe (Version 1.0) (cleanly cracked) [Brian Troha]
Street Sports Soccer (cleanly cracked) [Brian Troha]
Superstar Ice Hockey (cleanly cracked) [Brian Troha]
Tales From The Arabian Nights (cleanly cracked) [Brian Troha]
Task Force (cleanly cracked) [Brian Troha]
Tetris (cleanly cracked) [Brian Troha]
The Adventures of Sinbad (cleanly cracked) [Brian Troha]
The Duel: Test Drive II (cleanly cracked) [Brian Troha]
The Fidelity Chessmaster 2100 (Version 1.1 17-Nov-88) (cleanly cracked) [Brian Troha]
The Fidelity Chessmaster 2100 (Version 1.01 28-Sep-88) (cleanly cracked) [Brian Troha]
The Graphics Studio (cleanly cracked) [Brian Troha]
The Immortal (cleanly cracked) [Brian Troha]
The King of Chicago (cleanly cracked) [Brian Troha]
The Last Ninja (cleanly cracked) [Brian Troha]
The Logic Master (Version 1.5) (cleanly cracked) [Brian Troha]
The Print Shop (Version 1.0) (cleanly cracked) [Brian Troha]
The Third Courier (cleanly cracked) [Brian Troha]
The Tower of Myraglen (Version 1.0) (cleanly cracked) [Brian Troha]
The Wonders of the Animal Kingdom (cleanly cracked) [Brian Troha]
The Word Master (cleanly cracked) [Brian Troha]
Thexder (Version 2.7) (cleanly cracked) [Brian Troha]
Topdraw (Version 1.00A) (cleanly cracked) [Brian Troha]
TrianGo (Version 1.0) (cleanly cracked) [Brian Troha]
Uninvited (cleanly cracked) [Brian Troha]
Vegas Craps (Version 1.0) (cleanly cracked) [Brian Troha]
Vegas Gambler (Version 1.1 25-Jul-88) (cleanly cracked) [Brian Troha]
Vegas Gambler (Version 1.0 07-Jun-88) (cleanly cracked) [Brian Troha]
War in Middle Earth (cleanly cracked) [Brian Troha]
Where in the U.S.A. is Carmen Sandiego? (cleanly cracked) [Brian Troha]
Where in the World is Carmen Sandiego? (cleanly cracked) [Brian Troha]
Winter Games (cleanly cracked) [Brian Troha]
World Games (cleanly cracked) [Brian Troha]
World Tour Golf (cleanly cracked) [Brian Troha]
Writer's Choice Elite (cleanly cracked) [Brian Troha]
Xenocide (Version 25-Sep-89) (unprotected) [Brian Troha]
Xenocide (Version 11-Aug-89) (cleanly cracked) [Brian Troha]
Zany Golf (cleanly cracked) [Brian Troha]

-bus/nes: Overhauled SOMARI board emulation. (#8723) [0kmg]
 * Fixed non-booting games.
 * Garou Densetsu Special no longer crashes on black screen between rounds.
 * Fixed graphics corruption in AV Bishoujo Senshi. Yes, those graphics too.
 * Removed bad alt dump of AV Bishoujo Senshi.
 * Also save mirroring state in MMC3 (TxROM) base class as it's useful for subclasses.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Kart Fighter (Asia, SOMARI-W) [0kmg]
Somari (Asia, SOMARI-W) [0kmg]
Somari (Asia, SOMARI-P) [0kmg]

-gba.xml: made descriptions more consistent (#8717) [ArcadeShadow]

-Tie up a few loose ends: [Vas Crabb]
 * debugger: Octal cheats for octal address spaces.
 * frontend: Pass events for automatically generated menu items to the plugin - they will have index zero.
 * frontend: Don't try calling the data plugin from the main menu if the system isn't starting yet - doing so will prevent the data
    plugin from loading at all.

-mn1880: Make it possible to take interrupts; emulate (unused) PI instruction [AJR]

-speedbsk: Make the service mode work [Dirk Best]
 * Hook up region select and photo sensors
 * Change RF5C68 to RF5C164, connect addrmap
 * Hook up switches and service panel inputs
 * Hook up trackballs
 * Connect main and audio UARTs
 * Work around audiocpu serial input at 0x20

-express.cpp: Fix regression in interpreting db@, ib@, ob@ and similar memory access operators [AJR]

-debugger: Memory accesses in expressions don't support taking the first exposed space (yet). [Vas Crabb]

-frontend: Don't show plugin options menu in main menu before start - it doesn't work anyway. [Vas Crabb]

-First pass in improving Amiga SW compatibility  (#8722) [Angelo Salese]
 * amiga.cpp: connect missing DSKINDEX signal from FDC to CIA-B ICR bit 4
 * amigafdc.cpp: workaround live_counter > 8 to reset, makes abreed to boot to gameplay
 * 8364_paula.cpp: fix output channel of irq delegation, and throw one when a DMA reaches the end of a stream. Fixes
    asparmgp/gpmaster BGMs at very least
 * mos6526.cpp: guard against resetting IRQs when none is chained
 * makes timer B polling reads to actually work in barb2paln4, fixing booting
 * amigafdc.cpp: start adding logmacros
 * amigafdc.cpp: fix DMAON readback, giving logica2 diag BIOS the chance to print extensive floppy test info
 * 8364_paula.cpp: avoid reading audio DMA buffers outside the allocated ranges, fixes sound buzzing/aliasing bug
 * alg.cpp: standardize title metadatas
 * amigaocs_flop.xml: QA, consistent XML titles, consistent ids of virus plagued disks (additional field plus mark these as baddump)
 * amigaocs_flop.xml: mark the failures on mount and bulk test with ATK
 * 8364_paula.cpp: fix DMA reload behaviour (fixes BGMs in Ocean games), add live logging, misc
 * amiga.cpp: ignore bit 0 with BPLxMOD writes, fixes hpoker/hpokera GFXs
 * amigaocs_flop.xml: misc QA notes

-speedbsk: Initial layout, map some outputs [Dirk Best]

-speedbsk: reduce lamp flickering, add yellow lamp output [hap]

-speedbsk: correct harmless copypaste mistake [hap]

-plugins: Added an input macro plugin. [Vas Crabb]

-plugins: Sort input selection menus for autofire plugin. [Vas Crabb]

-frontend: Fixed another case where the menus may not automatically scroll the first item into view. [Vas Crabb]

-gts80: More WIP [Robbbert]

-gts80b.cpp: Fix clang build [-Werror,-Warray-bounds]

-frontend: Beter provision for plugins with multiple menu levels. [Vas Crabb]
 * Make it possible for a plugin to specify which item should be selected on repopulate.  Also allowed plugins to specify the UI
    heading flag for menu items.
 * Updated input macro plugin to select sane items when changing menus. Other plugins not updated yet, but may be at some point in
    the future.

-docs: Fix a copy/paste error. [Vas Crabb]

-frontend: Fixed untranslated info box title appearing on system/software selection menus (#8731). [Vas Crabb]

-c64_cass.xml: Added ten entries (#8671) [Steven Coomber]

New working software list additions
-----------------------------------
Bonanza Bros (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Bounty Bob Strikes Back! (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Brave Starr (Go!) [C64 Ultimate Tape Archive V2.0]
Breakthru (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Bubble Bobble (Firebird) [C64 Ultimate Tape Archive V2.0]
Buck Rogers: Planet of Zoom (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Buggy Boy (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Bulldog (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Burger Time (Interceptor Software) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Brian Bloodaxe (The Edge) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: Added ten entries (#8689) [Steven Coomber]

New working software list additions
-----------------------------------
Ciphoid 9 (GB Standard) [C64 Ultimate Tape Archive V2.0]
Cluedo (Leisure Genius) [C64 Ultimate Tape Archive V2.0]
Cobra (Ocean) [C64 Ultimate Tape Archive V2.0]
Coin Op Hits II (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Combat School (Ocean) [C64 Ultimate Tape Archive V2.0]
Comet Game (Firebird) [C64 Ultimate Tape Archive V2.0]
Comic Bakery (Imagine) [C64 Ultimate Tape Archive V2.0]
Commando (Elite Systems, alt) [C64 Ultimate Tape Archive V2.0]
Conflicts 1 (Personal Software Services) [C64 Ultimate Tape Archive V2.0]
Convoy Raider (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

-Note that the existing entry for "Stallone: Cobra" has been renamed to "Cobra" to reflect the title change that occurred from C64
 Ultimate Tape Archive V1 to C64 Ultimate Tape Archive V2.  I have also demoted this entry to not working status as the game crashes
 as soon as it loads but surprisingly the original Ocean release (added on this PR) with different tape loading software works OK.
 [Steven Coomber]

-c64_cass.xml: Added nine entries (#8693) [Steven Coomber]

New working software list additions
-----------------------------------
Cosmic Causeway: Trailblazer II (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Crazy Cars (Titus) [C64 Ultimate Tape Archive V2.0]
Crazy Comet (Martech) [C64 Ultimate Tape Archive V2.0]
Crazy Kong (Interceptor Software, alt) [C64 Ultimate Tape Archive V2.0]
Creatures 2: Torture Trouble (Thalamus) [C64 Ultimate Tape Archive V2.0]
Critical Mass (Durell) [C64 Ultimate Tape Archive V2.0]
Crystal Castles (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Crack Down (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Creatures (Thalamus) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: Added twelve entries (#8705) [Steven Coomber]

New working software list additions
-----------------------------------
Dark Force (Ocean) [C64 Ultimate Tape Archive V2.0]
Days of Thunder (Mindscape) [C64 Ultimate Tape Archive V2.0]
Death or Glory (Mind Games) [C64 Ultimate Tape Archive V2.0]
Death Wish 3 (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
The Deep (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Deflektor (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Delta (Thalamus) [C64 Ultimate Tape Archive V2.0]
Desert Fox (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Dick Tracy (Titus) [C64 Ultimate Tape Archive V2.0]
Dig Dug (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Decathlon (Activision) [C64 Ultimate Tape Archive V2.0]
Deceptor (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: Added seventeen entries (#8730) [Steven Coomber]

New working software list additions
-----------------------------------
Dominator (System 3) [C64 Ultimate Tape Archive V2.0]
Donald Duck's Playground (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Double Dragon (Melbourne House) [C64 Ultimate Tape Archive V2.0]
Double Take (Ocean) [C64 Ultimate Tape Archive V2.0]
Dough Boy (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Dragon's Lair (Software Projects) [C64 Ultimate Tape Archive V2.0]
Dragon's Lair Part II: Escape from Singe's Castle (Software Projects) [C64 Ultimate Tape Archive V2.0]
Dragon's Lair (Preview) (Software Projects) [C64 Ultimate Tape Archive V2.0]
Dragons of Flame (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Dream Warrior (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Drelbs (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Druid (Firebird) [C64 Ultimate Tape Archive V2.0]
Dynamic Duo (Firebird) [C64 Ultimate Tape Archive V2.0]
Dynasty Wars (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Doc the Destroyer (Melbourne House) [C64 Ultimate Tape Archive V2.0]
Dodgy Geezers (Melbourne House) [C64 Ultimate Tape Archive V2.0]
Donkey Kong (Ocean) [C64 Ultimate Tape Archive V2.0]

-Note that I have demoted the existing Donkey Kong (Erbe) entry as this also fails to load correctly. [Steven Coomber]

-c64_cass.xml: Correct typo in parent name for Commando (#8734) [Steven Coomber]

-bus/nes: Added support for a Somari board variant. (#8728) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
AV Jiūjí Májiàng II (Asia, alt) [MLX]

-ay8910.cpp: Improve AY8930 noise algorithm, simplify some logic (#8729) [cam900]

New clones marked as NOT_WORKING
--------------------------------
Ice Cold Beer (set 2) [Robbbert]
[Robbbert] [Robbbert]

-Plugin usability improvements: [Vas Crabb]
 * autofire, inputmacro: Made left/right repeat when held (makes setting long delays/durations easier).
 * autofire, inputmacro: Added headings for devices in input selection menus (helps when controller buttons have identical names,
    e.g. AES)
 * autofire: Made intial selection when moving between menus intuitive, log some errors on saving/loading configuration.
 * autofire: Fixed two errors in Chinese localisations.

-gts1: removed duplicate set; added sound card. [Robbbert]

new NOT_WORKING machine
-----------------------
Manpuku Suizokukan [Darksoft, MetalliC, Mitsurugi_W, rtw, SNK-NEO-GEO]

new NOT_WORKING clone
---------------------
Yataimura Kingyosukui (1-player, Japan, Ver 1.005) [Darksoft, MetalliC, Mitsurugi_W, rtw, SNK-NEO-GEO]

-gts80a: indicated bios [Robbbert]

-Cleaned up CI targets: [Vas Crabb]
 * Restricted Linux CI build to only run on changes to code, translations, software lists, and build scripts.
 * Restricted Windows/macOS CO to only run on changes to code and build scripts.  They provide nothing over Linux for the other
    stuff.
 * Added plugin properties and controller file validation to the "hash" workflow.
 * Added a workflow for building documentation, so pull requests that affect documentation will at least get a basic check in
    advance.

-plugins/autofire: Bumped version as configuration format has changed. [Vas Crabb]

-nes.xml: Set missing save RAM for RPG Jinsei Game. (#8733) [0kmg]

-plugins/timer: Fixed ticking when menu is left on the screen. [Vas Crabb]

-commonissues.rst: Fixed bad English. [Robbbert]

-gts80b: added a comment. [Robbbert]

-docs: More adjustments. [Vas Crabb]

-docs: Still more cleanup on the FAQ page. [Vas Crabb]

-vgmplay.xml: Added 16 new entries and 3 updated entries [vgmrips.net, Tafoid]

New clones marked as NOT_WORKING
--------------------------------
Amidar (Cirsa bootleg) [Retromaniacs]

-Updated Greek Translation (#8738) [BraiNKilleRGR]

-c64_cass.xml: Added eleven entries (#8737) [Steven Coomber]

New working software list additions
-----------------------------------
E-motion (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Edd the Duck (Impulze) [C64 Ultimate Tape Archive V2.0]
Enduro Racer (Activision) [C64 Ultimate Tape Archive V2.0]
Epyx Epics (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Escape (Ocean) [C64 Ultimate Tape Archive V2.0]
Escape-MCP (Rabbit Software) [C64 Ultimate Tape Archive V2.0]
Every Second Counts (TV Games) [C64 Ultimate Tape Archive V2.0]
The Fabulous Wanda and the Secret of Life, the Universe, and Everything (Games Machine) [C64 Ultimate Tape Archive V2.0]
Fairlight (The Edge) [C64 Ultimate Tape Archive V2.0]
Famous Five (Mastertronic) [C64 Ultimate Tape Archive V2.0]
Fantasy World Dizzy (Codemasters) [C64 Ultimate Tape Archive V2.0]

-Note that I have also added a reason why Cobra is not supported which was pointed out in PR#8689. [Steven Coomber]

-Filled in Japanese names for a bunch of inputs, fixed issues with localised P10 control names not showing. [Vas Crabb]

-shootgal: Adjusted MAME's crosshair to match actual crosshair (#8739) [aequites7]
 * Shooting Gallery (shootgal)'s default PORT_CROSSHAIR values are reverse and unscaled against the game's screen resolution.
 * The game does not offer a calibration option, but the test mode that comes up after a few seconds upon setting the DIP switch
    shows the internal crosshair for adjusting the gun.
 * The new offsets are manually determined. They are visual cues for the MAME users only and are unrelated to the game's operation.

-sun3_460: Correct RTC type [AJR]

-remove deco_zoomspr device, refactor deco32 - drgngun, lockload to use the namco_c355spr device instead (#8725) [David Haywood]

-add some recognizable (but still awful) PSG output to the dphh8630 driver (#8704) [David Haywood]

-Initial RPK support for CoCo (#8541) [npwoods]

-bus/nes: Added support for a 6 in 1 multicart. (#8732) [0kmg]
 * bus/nes: Added support for a 6 in 1 multicart.
   - Changed base MMC3 (TxROM) initialization code to default to the first contiguous 8K of VRAM/VROM.

New working software list additions (nes.xml)
---------------------------------------------
New Star 6 in 1 Game Cartridge [anonymous]

Software list items promoted to working (nes.xml)
-------------------------------------------------
EverQuest - Wújìn de Rènwù (China) [0kmg]
Sānguózhì - Yīngjié Zhuàn (China, alt) [0kmg]
Sānguózhì - Yīngjié Zhuàn (China, alt 2) [0kmg]
Sānguózhì - Yīngjié Zhuàn (China) [0kmg]

-Promote Famicom Yarou Vol.1 to partially supported. [0kmg]

-Dumped (bruteforced) the PAL from 'guttangts3' [Recreativas.org] (#8726) [ClawGrip]

-cococart.cpp: Fix build (was broken after 84970b9090f99ca6a06cb0133b108aabf3caf533 due to ioprocs changes) [AJR]

-cococart.cpp: Remove superfluous #include [AJR]

-konmedal020: more video [cracyc]

-Fill in Japanese names for main player buttons. [Vas Crabb]

-ibm5150.xml: New working software list additions (#8715) [ArcadeShadow]

New working software list additions
-----------------------------------
ibm5150: PGA Tour Golf, PGA Tour Golf (alt), PGA Tour Golf (Special Maxell edition), PGA Tour Golf: Tournament Course Disk,
  PowerMonger, Silpheed (3.5", v3.2) [The Good Old Days]

New working clones
------------------
Street Fighter Zero 2 Alpha (Asia 960805) [Genaro Rodarte]

-ibm5170.xml: New working software list additions (#8716) [ArcadeShadow]

New working software list additions
-----------------------------------
ibm5170: Buzz Aldrin's Race Into Space, Fates of Twinion, Leisure Suit Larry 6: Shape Up or Slip Out!, Shadow of Yserbius, Star Wars
  - TIE Fighter (Germany), The Sierra Imagination Network, The Sierra Imagination Network (older), The Sierra Network
  [The Good Old Days]

-ibm5170.xml: Redumped Star Wars - TIE Fighter [The Good Old Days]

-bus/scsi/cdu76s.cpp: dumped ROM [hammy]

-rgum.cpp: updated notes, it doesn't have an encrypted Z80 [Ivan Vangelista]

-rgum.cpp: Fix clang error: lambda capture 'this' is not used [-Werror,-Wunused-lambda-capture]

-bus/nes: Fixed off-by-one error in VRC4/6/7 IRQ counter. (#8741) [0kmg]

-mmc3.cpp: Added comment about VROM/VRAM bank numbers. (#8743) [0kmg]

-bus/nes: Simplified VRC4 clone board T-230. (#8735) [0kmg]

-bus/nes: Work on HIK8IN1 multicarts and variant boards. (#8740) [0kmg]
 * bus/nes: Work on HIK8IN1 multicarts and variant boards.
   - Fixed lock bit check on HIK8IN1 (it was effectively always unlocked). Also added high order PRG banking bits. Combined this
      fixes loading of broken menu items across various carts.
   - Added two minor variant boards SFC-12 and unknown board for JY-208.
   - Merged split PRG and CHR for set mc_101 into one large PRG ROM.

New working software list additions (nes.xml)
---------------------------------------------
Rockman 6 in 1 (alt 2) [famiac, NewRisingSun]
Rockman 7 in 1 (JY-208) [krzysiobal, NewRisingSun]

New NOT_WORKING software list additions (nes.xml)
-------------------------------------------------
Rockman 6 in 1 (alt) [famiac, NewRisingSun]

-New WORKING clone  (#8697) [ClawGrip]

New WORKING clone
-----------------
Floritas (Multivideo Spanish Moon Cresta bootleg) [Retromaniacs]

-Renamed 'spcdraga' as 'floritas' [ClawGrip]

-Add 'floritasm' and rename 'spcdraga' as 'floritas' [ClawGrip]

-Homogenized all "bootleg on Galaxian hardware" descriptions [ClawGrip]

-Now there's only one "Space Dragon" set [ClawGrip]

-New WORKING clone (#8698) [ClawGrip]

New WORKING clone
-----------------
Cosmic Alien (bootleg) [Retromaniacs]

-Add 'cosmicab' [ClawGrip]

-Rename sets to a more logical scheme, fix spacing, reformat comments [ClawGrip]

-Rename sets [ClawGrip]

-Fix ROM names, PROM was a MMI-6331 [ClawGrip]

-inderp.cpp: All 4 games now playable. [Robbbert]

-amigaocs_flop.xml: Lowercase on some description's words (#8744) [ArcadeShadow]
 * Lowercase on "Prototype" and "Alt" words

-z8000: Simplify EXTS[BL]? implementation [AJR]

-docs: Started documenting plugins. [Vas Crabb]
 * Also added a couple of missing command-line options, and added a local table of contents to the (rather long) command line
    options page.

-Added a separate CI target for localisation updates that produces an artefact, and removed the message catalogs from the trigger
 paths for the Linux CI build. [Vas Crabb]

-Various ST0016 updates, Especially sound and interface functions (#8686) [cam900]
 * sound/st0016.cpp: Fix sound pitch, related to CPU clock use struct for each voices, Minor fix in sample position, use
    device_memory_interface for fetching sample behavior, Add notes machine/st0016.cpp: Use seperated address space for character
    RAM space, use device_video_interface for screen finder, use device_mixer_interface for sound output instead preinstalled
    speaker device, Fix spacing, Add notes, Use shorter/correct type values speglsht.cpp, srmp5.cpp: Fix ST0016 clock (these are
    hasn't 8MHz or 48MHz XTAL), Fix naming speglsht.cpp: Fix 1 pixel gap in ST0016 layer srmp5.cpp: Reduce unnecessary line
 * simple_st0016.cpp: Add notes of CPU clock

-st0016.cpp: Fix debug build [AJR]

-apple2gs: ROM 0/1 have the $C028 ROMSWITCH, support it. [R. Belmont]

-Plugin updates: [Vas Crabb]
 * Changed the hiscore plugin to save inside the "hiscore" folder in the plugin data directory.  The old hiscore path setting has
    already been removed from MAME for some time.  This means the plugin was always saving in the "hi" folder in the working
    directory with no way to change it, which is problematic on Linux and macOS, particularly for distro packagers.  There are lots
    of plugin and UI changes in this release, so we may as well get this out of the way now.  Also made it possible to change the
    "timed save" option from the Plugin Options menu, and save that in the data folder, too.
 * Documented the input macro plugin.  The only undocumented plugins now are the cheat plugin, the cheat finder plugin, and the port
    name plugin.

-srcclean in preparation for branching 0.237 release [Vas Crabb]

-Remove compiled message catalogs on clean, show clean commands for VERBOSE=1. [Vas Crabb]

-novag_diablo: fix lockup problem at fresh start [hap]
 * (cherry picked from commit 5a9ea65c0e1195be609f0dab001ee759e6e0e594)

-plugins: Use SPDX short identifiers for licenses in exports (more precise and easier to localise), use CC0 for hiscore plugin
 rather than CC0. [Vas Crabb]

-apple2_flop_clcracked.xml, apple2gs_flop_clcracked.xml: Correct some issues. [Vas Crabb]

-strconv: avoid msvc debug assertion [Patrick Mackinlay]

-esripsys: fix debugger crash [Patrick Mackinlay]

-plugin/data: handle multiple blocks in dat [cracyc]

-plugins/data: srcclean [Vas Crabb]

-nes.xml: Added Latin title from box art for Yeongjaekeom Cocoma games. [Vas Crabb]

-pluins/hiscore: Bumped version since storage location has changed. [Vas Crabb]
